OSDN Git Service

* merge from 0.8.0 branch.
authorkonn <konn@1a406e8e-add9-4483-a2c8-d8cac5b7c224>
Tue, 5 Feb 2008 13:06:06 +0000 (13:06 +0000)
committerkonn <konn@1a406e8e-add9-4483-a2c8-d8cac5b7c224>
Tue, 5 Feb 2008 13:06:06 +0000 (13:06 +0000)
git-svn-id: svn+ssh://svn.sourceforge.jp/svnroot/modchxj/mod_chxj/trunk@1828 1a406e8e-add9-4483-a2c8-d8cac5b7c224

12 files changed:
ChangeLog
configure
configure.ac
doc/modchxj.html
doc/modchxj.sdoc
include/config.h
include/config.h.in
include/mod_chxj.h
src/chxj_encoding.c
src/chxj_img_conv_format.c
src/mod_chxj.c
src/qs_parse_string.c

index 049cc57..b06f37b 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -8,6 +8,7 @@ libapache2-mod-chxj (0.8.3-1) unstable; urgency=high
 
  -- Atsushi Konno <konn@users.sourceforge.jp>  Mon,  4 Feb 2008 12:53:21 +0900
 
+
 libapache2-mod-chxj (0.8.2-1) unstable; urgency=low
 
   * Fixed Bug to which compile error occurs when A is specified.
index 2238555..9ba6c9e 100755 (executable)
--- a/configure
+++ b/configure
@@ -871,8 +871,8 @@ F77
 FFLAGS
 ac_ct_F77
 LIBTOOL
-APXS
 APXS2
+APXS
 WAND_CONFIG
 APR_CONFIG
 APR_1_CONFIG
@@ -1501,8 +1501,6 @@ Optional Packages:
   --with-apxs=ARG Path of apxs program file.
   --with-apr-config=ARG  Path of apr-config program file.
   --with-apu-config=ARG  Path of apu-config program file.
-  --with-iconv=ARG  specify the place of the libiconv directory.
-  --with-iconv_hook=ARG  specify the place of the libiconv_hook directory.
 
 Some influential environment variables:
   CC          C compiler command
@@ -5446,7 +5444,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 5449 "configure"' > conftest.$ac_ext
+  echo '#line 5447 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -7943,11 +7941,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7946: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7944: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7950: \$? = $ac_status" >&5
+   echo "$as_me:7948: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -8211,11 +8209,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8214: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8212: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:8218: \$? = $ac_status" >&5
+   echo "$as_me:8216: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -8315,11 +8313,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:8318: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8316: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:8322: \$? = $ac_status" >&5
+   echo "$as_me:8320: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -10612,7 +10610,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10615 "configure"
+#line 10613 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10712,7 +10710,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10715 "configure"
+#line 10713 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -13048,11 +13046,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13051: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13049: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13055: \$? = $ac_status" >&5
+   echo "$as_me:13053: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -13152,11 +13150,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13155: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13153: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13159: \$? = $ac_status" >&5
+   echo "$as_me:13157: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14713,11 +14711,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14716: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14714: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:14720: \$? = $ac_status" >&5
+   echo "$as_me:14718: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -14817,11 +14815,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:14820: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:14818: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:14824: \$? = $ac_status" >&5
+   echo "$as_me:14822: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -17004,11 +17002,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:17007: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17005: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:17011: \$? = $ac_status" >&5
+   echo "$as_me:17009: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -17272,11 +17270,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:17275: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17273: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:17279: \$? = $ac_status" >&5
+   echo "$as_me:17277: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -17376,11 +17374,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:17379: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:17377: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:17383: \$? = $ac_status" >&5
+   echo "$as_me:17381: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
 
 
 if test "x$with_apxs" = "x" ; then
-  # Extract the first word of "apxs", so it can be a program name with args.
-set dummy apxs; ac_word=$2
+  # Extract the first word of "apxs2", so it can be a program name with args.
+set dummy apxs2; ac_word=$2
 { echo "$as_me:$LINENO: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
-if test "${ac_cv_path_APXS+set}" = set; then
+if test "${ac_cv_path_APXS2+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  case $APXS in
+  case $APXS2 in
   [\\/]* | ?:[\\/]*)
-  ac_cv_path_APXS="$APXS" # Let the user override the test with a path.
+  ac_cv_path_APXS2="$APXS2" # Let the user override the test with a path.
   ;;
   *)
   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
@@ -20228,7 +20226,7 @@ do
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_APXS="$as_dir/$ac_word$ac_exec_ext"
+    ac_cv_path_APXS2="$as_dir/$ac_word$ac_exec_ext"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
@@ -20236,31 +20234,31 @@ done
 done
 IFS=$as_save_IFS
 
-  test -z "$ac_cv_path_APXS" && ac_cv_path_APXS="no"
+  test -z "$ac_cv_path_APXS2" && ac_cv_path_APXS2="no"
   ;;
 esac
 fi
-APXS=$ac_cv_path_APXS
-if test -n "$APXS"; then
-  { echo "$as_me:$LINENO: result: $APXS" >&5
-echo "${ECHO_T}$APXS" >&6; }
+APXS2=$ac_cv_path_APXS2
+if test -n "$APXS2"; then
+  { echo "$as_me:$LINENO: result: $APXS2" >&5
+echo "${ECHO_T}$APXS2" >&6; }
 else
   { echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6; }
 fi
 
 
-  if test "x$APXS" = "xno"; then
-      # Extract the first word of "apxs2", so it can be a program name with args.
-set dummy apxs2; ac_word=$2
+  if test "x$APXS2" = "xno"; then
+      # Extract the first word of "apxs", so it can be a program name with args.
+set dummy apxs; ac_word=$2
 { echo "$as_me:$LINENO: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
-if test "${ac_cv_path_APXS2+set}" = set; then
+if test "${ac_cv_path_APXS+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-  case $APXS2 in
+  case $APXS in
   [\\/]* | ?:[\\/]*)
-  ac_cv_path_APXS2="$APXS2" # Let the user override the test with a path.
+  ac_cv_path_APXS="$APXS" # Let the user override the test with a path.
   ;;
   *)
   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
@@ -20271,7 +20269,7 @@ do
   test -z "$as_dir" && as_dir=.
   for ac_exec_ext in '' $ac_executable_extensions; do
   if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
-    ac_cv_path_APXS2="$as_dir/$ac_word$ac_exec_ext"
+    ac_cv_path_APXS="$as_dir/$ac_word$ac_exec_ext"
     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
     break 2
   fi
@@ -20279,30 +20277,29 @@ done
 done
 IFS=$as_save_IFS
 
-  test -z "$ac_cv_path_APXS2" && ac_cv_path_APXS2="no"
+  test -z "$ac_cv_path_APXS" && ac_cv_path_APXS="no"
   ;;
 esac
 fi
-APXS2=$ac_cv_path_APXS2
-if test -n "$APXS2"; then
-  { echo "$as_me:$LINENO: result: $APXS2" >&5
-echo "${ECHO_T}$APXS2" >&6; }
+APXS=$ac_cv_path_APXS
+if test -n "$APXS"; then
+  { echo "$as_me:$LINENO: result: $APXS" >&5
+echo "${ECHO_T}$APXS" >&6; }
 else
   { echo "$as_me:$LINENO: result: no" >&5
 echo "${ECHO_T}no" >&6; }
 fi
 
 
-      if test "x$APXS2" = "xno" ; then
+      if test "x$APXS" = "xno" ; then
         { { echo "$as_me:$LINENO: error: apxs not found." >&5
 echo "$as_me: error: apxs not found." >&2;}
    { (exit 1); exit 1; }; }
       fi
+  else
+    APXS="$APXS2"
   fi
 fi
-if test "x$APXS2" != "x" ; then
-  APXS="$APXS2"
-fi
 if test "x$with_apxs" != "x" ; then
   APXS=$with_apxs
 fi
@@ -20604,221 +20601,51 @@ if test "x$with_apu_config" != "x" ; then
 fi
 
 
-
-# Check whether --with-iconv was given.
-if test "${with_iconv+set}" = set; then
-  withval=$with_iconv;
-fi
-
-
-# Check whether --with-iconv_hook was given.
-if test "${with_iconv_hook+set}" = set; then
-  withval=$with_iconv_hook;
-fi
-
-if test "x$with_iconv" = "x" -a "x$with_iconv_hook" = "x" ; then
-  { echo "$as_me:$LINENO: checking for iconv_open in -liconv_hook" >&5
-echo $ECHO_N "checking for iconv_open in -liconv_hook... $ECHO_C" >&6; }
-if test "${ac_cv_lib_iconv_hook_iconv_open+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-liconv_hook  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-/* Override any GCC internal prototype to avoid an error.
-   Use char because int might match the return type of a GCC
-   builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-char iconv_open ();
-int
-main ()
-{
-return iconv_open ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       } && test -s conftest$ac_exeext &&
-       $as_test_x conftest$ac_exeext; then
-  ac_cv_lib_iconv_hook_iconv_open=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-       ac_cv_lib_iconv_hook_iconv_open=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_iconv_hook_iconv_open" >&5
-echo "${ECHO_T}$ac_cv_lib_iconv_hook_iconv_open" >&6; }
-if test $ac_cv_lib_iconv_hook_iconv_open = yes; then
-
-      with_iconv="ok"
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_LIBICONV_HOOK
-_ACEOF
-
-      LIBS="${LIBS} -liconv_hook"
-
-else
-
-    { echo "$as_me:$LINENO: checking for iconv_open in -liconv" >&5
-echo $ECHO_N "checking for iconv_open in -liconv... $ECHO_C" >&6; }
-if test "${ac_cv_lib_iconv_iconv_open+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-liconv  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-/* Override any GCC internal prototype to avoid an error.
-   Use char because int might match the return type of a GCC
-   builtin and then its argument prototype would still apply.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-char iconv_open ();
-int
-main ()
-{
-return iconv_open ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (ac_try="$ac_link"
-case "(($ac_try" in
-  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
-  *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
-  (eval "$ac_link") 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && {
-        test -z "$ac_c_werror_flag" ||
-        test ! -s conftest.err
-       } && test -s conftest$ac_exeext &&
-       $as_test_x conftest$ac_exeext; then
-  ac_cv_lib_iconv_iconv_open=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-       ac_cv_lib_iconv_iconv_open=no
-fi
-
-rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_lib_iconv_iconv_open" >&5
-echo "${ECHO_T}$ac_cv_lib_iconv_iconv_open" >&6; }
-if test $ac_cv_lib_iconv_iconv_open = yes; then
-
-      with_iconv="ok"
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_LIBICONV
-_ACEOF
-
-      LIBS="${LIBS} -liconv"
-
-else
-
-      witn_iconv=""
-
-fi
-
-
-fi
-
-fi
-
-if test "x$with_iconv" != "xok" ; then
-  if test "x$with_iconv" = "xyes" ; then
-      { { echo "$as_me:$LINENO: error:
-  Please specify the --with-iconv option. And, please specify the place of the libiconv program.
-  " >&5
-echo "$as_me: error:
-  Please specify the --with-iconv option. And, please specify the place of the libiconv program.
-  " >&2;}
-   { (exit 1); exit 1; }; }
-  fi
-  if test "x$with_iconv" != "x" ; then
-    LIBS="${LIBS} -L$with_iconv -liconv "
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_LIBICONV
-_ACEOF
-
-  fi
-fi
-if test "x$with_iconv" = "x" ; then
-  if test "x$with_iconv_hook" = "xyes" ; then
-      { { echo "$as_me:$LINENO: error:
-  Please specify the --with-iconv-hook option. And, please specify the place of the libiconv_hook program.
-  " >&5
-echo "$as_me: error:
-  Please specify the --with-iconv-hook option. And, please specify the place of the libiconv_hook program.
-  " >&2;}
-   { (exit 1); exit 1; }; }
-  fi
-  if test "x$with_iconv_hook" != "x" ; then
-    LIBS="${LIBS} -L${with_iconv_hook} -liconv_hook "
-
-cat >>confdefs.h <<\_ACEOF
-#define HAVE_LIBICONV_HOOK
-_ACEOF
-
-  fi
-  if test "x$with_iconv_hook" = "x" ; then
-      { { echo "$as_me:$LINENO: error:
-  Please specify the --with-iconv-hook option. And, please specify the place of the libiconv_hook program.
-  " >&5
-echo "$as_me: error:
-  Please specify the --with-iconv-hook option. And, please specify the place of the libiconv_hook program.
-  " >&2;}
-   { (exit 1); exit 1; }; }
-  fi
-fi
+#AC_ARG_WITH(iconv, [  --with-iconv=ARG  specify the place of the libiconv directory.])
+#AC_ARG_WITH(iconv_hook, [  --with-iconv_hook=ARG  specify the place of the libiconv_hook directory.])
+#if test "x$with_iconv" = "x" -a "x$with_iconv_hook" = "x" ; then
+#  AC_CHECK_LIB([iconv_hook], [iconv_open], [
+#      with_iconv="ok"
+#      AC_DEFINE([HAVE_LIBICONV_HOOK], [], [Define to 1 if you have the iconv library file.])
+#      LIBS="${LIBS} -liconv_hook"
+#  ],[
+#    AC_CHECK_LIB([iconv], [iconv_open], [
+#      with_iconv="ok"
+#      AC_DEFINE([HAVE_LIBICONV], [], [Define to 1 if you have the iconv library file.])
+#      LIBS="${LIBS} -liconv"
+#  ], [
+#      witn_iconv=""
+#  ],[])
+#  ],[])
+#fi
+#
+#if test "x$with_iconv" != "xok" ; then
+#  if test "x$with_iconv" = "xyes" ; then
+#      AC_MSG_ERROR([
+#  Please specify the --with-iconv option. And, please specify the place of the libiconv program.
+#  ])
+#  fi
+#  if test "x$with_iconv" != "x" ; then
+#    LIBS="${LIBS} -L$with_iconv -liconv "
+#    AC_DEFINE([HAVE_LIBICONV], [], [Define to 1 if you have the iconv library file.])
+#  fi
+#fi
+#if test "x$with_iconv" = "x" ; then
+#  if test "x$with_iconv_hook" = "xyes" ; then
+#      AC_MSG_ERROR([
+#  Please specify the --with-iconv-hook option. And, please specify the place of the libiconv_hook program.
+#  ])
+#  fi
+#  if test "x$with_iconv_hook" != "x" ; then
+#    LIBS="${LIBS} -L${with_iconv_hook} -liconv_hook "
+#    AC_DEFINE([HAVE_LIBICONV_HOOK], [], [Define to 1 if you have the iconv_hook library file.])
+#  fi
+#  if test "x$with_iconv_hook" = "x" ; then
+#      AC_MSG_ERROR([
+#  Please specify the --with-iconv-hook option. And, please specify the place of the libiconv_hook program.
+#  ])
+#  fi
+#fi
 
 
 case $host_os in
@@ -22902,8 +22729,8 @@ F77!$F77$ac_delim
 FFLAGS!$FFLAGS$ac_delim
 ac_ct_F77!$ac_ct_F77$ac_delim
 LIBTOOL!$LIBTOOL$ac_delim
-APXS!$APXS$ac_delim
 APXS2!$APXS2$ac_delim
+APXS!$APXS$ac_delim
 WAND_CONFIG!$WAND_CONFIG$ac_delim
 APR_CONFIG!$APR_CONFIG$ac_delim
 APR_1_CONFIG!$APR_1_CONFIG$ac_delim
index fdab0d3..46fb087 100644 (file)
@@ -77,19 +77,18 @@ fi
 
 
 if test "x$with_apxs" = "x" ; then
-  AC_PATH_PROG(APXS, apxs, no,
+  AC_PATH_PROG(APXS2, apxs2, no,
                /usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/usr/local/apache/bin)
-  if test "x$APXS" = "xno"; then
-      AC_PATH_PROG(APXS2, apxs2, no,
+  if test "x$APXS2" = "xno"; then
+      AC_PATH_PROG(APXS, apxs, no,
                    /usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/usr/local/apache/bin)
-      if test "x$APXS2" = "xno" ; then
+      if test "x$APXS" = "xno" ; then
         AC_MSG_ERROR([apxs not found.])
       fi
+  else
+    APXS="$APXS2"
   fi
 fi
-if test "x$APXS2" != "x" ; then
-  APXS="$APXS2"
-fi
 if test "x$with_apxs" != "x" ; then
   APXS=$with_apxs
 fi 
@@ -139,51 +138,51 @@ if test "x$with_apu_config" != "x" ; then
 fi
 
 
-AC_ARG_WITH(iconv, [  --with-iconv=ARG  specify the place of the libiconv directory.])
-AC_ARG_WITH(iconv_hook, [  --with-iconv_hook=ARG  specify the place of the libiconv_hook directory.])
-if test "x$with_iconv" = "x" -a "x$with_iconv_hook" = "x" ; then
-  AC_CHECK_LIB([iconv_hook], [iconv_open], [
-      with_iconv="ok"
-      AC_DEFINE([HAVE_LIBICONV_HOOK], [], [Define to 1 if you have the iconv library file.])
-      LIBS="${LIBS} -liconv_hook"
-  ],[
-    AC_CHECK_LIB([iconv], [iconv_open], [
-      with_iconv="ok"
-      AC_DEFINE([HAVE_LIBICONV], [], [Define to 1 if you have the iconv library file.])
-      LIBS="${LIBS} -liconv"
-  ], [
-      witn_iconv=""
-  ],[])
-  ],[])
-fi
-
-if test "x$with_iconv" != "xok" ; then
-  if test "x$with_iconv" = "xyes" ; then
-      AC_MSG_ERROR([
-  Please specify the --with-iconv option. And, please specify the place of the libiconv program. 
-  ])
-  fi
-  if test "x$with_iconv" != "x" ; then
-    LIBS="${LIBS} -L$with_iconv -liconv "
-    AC_DEFINE([HAVE_LIBICONV], [], [Define to 1 if you have the iconv library file.])
-  fi
-fi
-if test "x$with_iconv" = "x" ; then
-  if test "x$with_iconv_hook" = "xyes" ; then
-      AC_MSG_ERROR([
-  Please specify the --with-iconv-hook option. And, please specify the place of the libiconv_hook program. 
-  ])
-  fi
-  if test "x$with_iconv_hook" != "x" ; then
-    LIBS="${LIBS} -L${with_iconv_hook} -liconv_hook "
-    AC_DEFINE([HAVE_LIBICONV_HOOK], [], [Define to 1 if you have the iconv_hook library file.])
-  fi
-  if test "x$with_iconv_hook" = "x" ; then
-      AC_MSG_ERROR([
-  Please specify the --with-iconv-hook option. And, please specify the place of the libiconv_hook program. 
-  ])
-  fi
-fi
+#AC_ARG_WITH(iconv, [  --with-iconv=ARG  specify the place of the libiconv directory.])
+#AC_ARG_WITH(iconv_hook, [  --with-iconv_hook=ARG  specify the place of the libiconv_hook directory.])
+#if test "x$with_iconv" = "x" -a "x$with_iconv_hook" = "x" ; then
+#  AC_CHECK_LIB([iconv_hook], [iconv_open], [
+#      with_iconv="ok"
+#      AC_DEFINE([HAVE_LIBICONV_HOOK], [], [Define to 1 if you have the iconv library file.])
+#      LIBS="${LIBS} -liconv_hook"
+#  ],[
+#    AC_CHECK_LIB([iconv], [iconv_open], [
+#      with_iconv="ok"
+#      AC_DEFINE([HAVE_LIBICONV], [], [Define to 1 if you have the iconv library file.])
+#      LIBS="${LIBS} -liconv"
+#  ], [
+#      witn_iconv=""
+#  ],[])
+#  ],[])
+#fi
+#
+#if test "x$with_iconv" != "xok" ; then
+#  if test "x$with_iconv" = "xyes" ; then
+#      AC_MSG_ERROR([
+#  Please specify the --with-iconv option. And, please specify the place of the libiconv program. 
+#  ])
+#  fi
+#  if test "x$with_iconv" != "x" ; then
+#    LIBS="${LIBS} -L$with_iconv -liconv "
+#    AC_DEFINE([HAVE_LIBICONV], [], [Define to 1 if you have the iconv library file.])
+#  fi
+#fi
+#if test "x$with_iconv" = "x" ; then
+#  if test "x$with_iconv_hook" = "xyes" ; then
+#      AC_MSG_ERROR([
+#  Please specify the --with-iconv-hook option. And, please specify the place of the libiconv_hook program. 
+#  ])
+#  fi
+#  if test "x$with_iconv_hook" != "x" ; then
+#    LIBS="${LIBS} -L${with_iconv_hook} -liconv_hook "
+#    AC_DEFINE([HAVE_LIBICONV_HOOK], [], [Define to 1 if you have the iconv_hook library file.])
+#  fi
+#  if test "x$with_iconv_hook" = "x" ; then
+#      AC_MSG_ERROR([
+#  Please specify the --with-iconv-hook option. And, please specify the place of the libiconv_hook program. 
+#  ])
+#  fi
+#fi
 
 
 case $host_os in
index 3ff8305..9c6341b 100644 (file)
@@ -7,7 +7,7 @@
 <meta http-equiv="Content-Script-Type" content="text/javascript">
 <meta name="generator" content="SmartDoc 1.1">
 <meta name="author" content="Atsushi Konno" lang="ja">
-<meta name="date" content="Last modified: 21 Jan 2008" lang="ja">
+<meta name="date" content="Last modified: Tue,  5 Feb 2008 13:20:28 +0900" lang="ja">
 <title>mod_chxj</title>
 <style type="text/css">
 <!--
@@ -692,18 +692,18 @@ function setOHPHandler() {
 
 <h1 class="title">mod_chxj<br><span class="subtitle"></span></h1>
 
-<div class="date">Last modified: 21 Jan 2008</div>
+<div class="date">Last modified: Tue,  5 Feb 2008 13:20:28 +0900</div>
 <div class="author">Atsushi Konno</div>
 <h2>\96Ú\8e\9f</h2>
 
 <div class="toc">
 <ul>
 <li> <a href="#doc1_17" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">Overview</a>
-<li> <a href="#doc1_23" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\83C\83\93\83X\83g\81[\83\8b</a>
+<li> <a href="#doc1_20" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\83C\83\93\83X\83g\81[\83\8b</a>
 <ul>
-<li> <a href="#doc1_25" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\8f\80\94õ</a>
-<li> <a href="#doc1_52" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">mod_chxj\82Ì\93ü\8eè</a>
-<li> <a href="#doc1_58" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\83C\83\93\83X\83g\81[\83\8b</a>
+<li> <a href="#doc1_22" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\8f\80\94õ</a>
+<li> <a href="#doc1_49" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">mod_chxj\82Ì\93ü\8eè</a>
+<li> <a href="#doc1_55" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\83C\83\93\83X\83g\81[\83\8b</a>
 </ul>
 <li> <a href="#doc1_104" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">Configuration</a>
 <ul>
@@ -711,96 +711,90 @@ function setOHPHandler() {
 <li> <a href="#doc1_121" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">php\93\99\82Ì\8fo\97Í\8c\8b\89Ê\82ª\95Ï\8a·\91Î\8fÛ\82Ì\8fê\8d\87</a>
 <li> <a href="#doc1_136" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">xoops\82ð\8eg\97p\82µ\81A\8a\8e\82Âwordpress\81Abwiki\82ð\8eg\97p\82µ\82Ä\82¢\82é\8fê\8d\87</a>
 <li> <a href="#doc1_151" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\89æ\91\9c\8e©\93®\95Ï\8a·\8b@\94\\82ð\8eg\97p\82·\82é\8fê\8d\87</a>
-<li> <a href="#doc1_216" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\95\8e\9a\83R\81[\83h\82ð\95Ï\8a·\82µ\82½\82¢\8fê\8d\87(EXPERIMENTAL)</a>
-<li> <a href="#doc1_260" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\83f\83B\83\8c\83N\83e\83B\83u</a>
+<li> <a href="#doc1_228" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\95\8e\9a\83R\81[\83h\82ð\95Ï\8a·\82µ\82½\82¢\8fê\8d\87(EXPERIMENTAL)</a>
+<li> <a href="#doc1_272" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\83f\83B\83\8c\83N\83e\83B\83u</a>
 </ul>
-<li> <a href="#doc1_377" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\91Î\89\9e\82·\82éCHTML\83^\83O</a>
-<li> <a href="#doc1_1085" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\93Æ\8e©\8ag\92£\83^\83O</a>
-<li> <a href="#doc1_1122" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\8aG\95\8e\9a\82É\82Â\82¢\82Ä</a>
+<li> <a href="#doc1_397" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\91Î\89\9e\82·\82éCHTML\83^\83O</a>
+<li> <a href="#doc1_1105" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\93Æ\8e©\8ag\92£\83^\83O</a>
+<li> <a href="#doc1_1142" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\8aG\95\8e\9a\82É\82Â\82¢\82Ä</a>
 <ul>
-<li> <a href="#doc1_1127" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\8aG\95\8e\9a\95Ï\8a·\92è\8b`</a>
+<li> <a href="#doc1_1147" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\8aG\95\8e\9a\95Ï\8a·\92è\8b`</a>
 </ul>
-<li> <a href="#doc1_1172" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\83f\83o\83C\83X\92è\8b` device_data.xml</a>
-<li> <a href="#doc1_1175" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\83C\83\81\81[\83W\89æ\91\9c\95Ï\8a·\8b@\94\</a>
+<li> <a href="#doc1_1192" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\83f\83o\83C\83X\92è\8b` device_data.xml</a>
+<li> <a href="#doc1_1195" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\83C\83\81\81[\83W\89æ\91\9c\95Ï\8a·\8b@\94\</a>
 <ul>
-<li> <a href="#doc1_1184" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\83T\83\80\83l\83C\83\8b\83\82\81[\83h</a>
-<li> <a href="#doc1_1190" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\95Ç\8e\86\83\82\81[\83h</a>
-<li> <a href="#doc1_1196" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">EzGet\83\82\81[\83h</a>
-<li> <a href="#doc1_1202" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\82»\82Ì\91¼\82Ì\8b@\94\</a>
+<li> <a href="#doc1_1204" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\83T\83\80\83l\83C\83\8b\83\82\81[\83h</a>
+<li> <a href="#doc1_1210" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\95Ç\8e\86\83\82\81[\83h</a>
+<li> <a href="#doc1_1216" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">EzGet\83\82\81[\83h</a>
+<li> <a href="#doc1_1222" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\82»\82Ì\91¼\82Ì\8b@\94\</a>
 </ul>
-<li> <a href="#doc1_1233" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\82p\82q\83R\81[\83h\8fo\97Í\8b@\94\</a>
+<li> <a href="#doc1_1253" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\82p\82q\83R\81[\83h\8fo\97Í\8b@\94\</a>
 <ul>
-<li> <a href="#doc1_1235" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\82p\82q\83R\81[\83h\8fo\97Í\83n\83\93\83h\83\89\82Ì\93o\98^</a>
-<li> <a href="#doc1_1241" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\82p\82q\83R\81[\83h\83\\81[\83X\83t\83@\83C\83\8b\82Ì\90Ý\92u</a>
-<li> <a href="#doc1_1265" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\82p\82q\83R\81[\83h\82Ì\93®\93I\8fo\97Í\8b@\94\</a>
+<li> <a href="#doc1_1255" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\82p\82q\83R\81[\83h\8fo\97Í\83n\83\93\83h\83\89\82Ì\93o\98^</a>
+<li> <a href="#doc1_1261" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\82p\82q\83R\81[\83h\83\\81[\83X\83t\83@\83C\83\8b\82Ì\90Ý\92u</a>
+<li> <a href="#doc1_1285" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">\82p\82q\83R\81[\83h\82Ì\93®\93I\8fo\97Í\8b@\94\</a>
 </ul>
-<li> <a href="#doc1_1272" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">Cookie\83V\83~\83\85\83\8c\81[\83g\8b@\94\(EXPERIMENTAL)</a>
+<li> <a href="#doc1_1292" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">Cookie\83V\83~\83\85\83\8c\81[\83g\8b@\94\(EXPERIMENTAL)</a>
 <ul>
-<li> <a href="#doc1_1274" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">Cookie\83V\83~\83\85\83\8c\81[\83g\8b@\94\(EXPERIMENTAL)</a>
-<li> <a href="#doc1_1280" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">One-Time ID</a>
-<li> <a href="#doc1_1283" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">Cookie\82Ì\95Û\91\8fê\8f\8a</a>
-<li> <a href="#doc1_1289" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">Cookie\82Ì\95Û\8e\9d\8aú\8aÔ</a>
+<li> <a href="#doc1_1294" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">Cookie\83V\83~\83\85\83\8c\81[\83g\8b@\94\(EXPERIMENTAL)</a>
+<li> <a href="#doc1_1300" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">One-Time ID</a>
+<li> <a href="#doc1_1303" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">Cookie\82Ì\95Û\91\8fê\8f\8a</a>
+<li> <a href="#doc1_1309" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">Cookie\82Ì\95Û\8e\9d\8aú\8aÔ</a>
 </ul>
-<li> <a href="#doc1_1296" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">Referer\83V\83~\83\85\83\8c\81[\83g\8b@\94\(EXPERIMENTAL)</a>
+<li> <a href="#doc1_1316" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">Referer\83V\83~\83\85\83\8c\81[\83g\8b@\94\(EXPERIMENTAL)</a>
 <ul>
-<li> <a href="#doc1_1298" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">Referer\83V\83~\83\85\83\8c\81[\83g\8b@\94\(EXPERIMENTAL)</a>
+<li> <a href="#doc1_1318" onmouseover="hilightSelflink(this)" onmouseout="normal(this)">Referer\83V\83~\83\85\83\8c\81[\83g\8b@\94\(EXPERIMENTAL)</a>
 </ul>
 </ul>
 </div>
 
 <h2 id="doc1_17">Overview</h2>
 
-<p class="first_ja">mod_chxj\82Í\83I\81[\83v\83\93\83\\81[\83X\82Ì\8cg\91Ñ\8cü\82¯\83R\83\93\83e\83\93\83c\95Ï\8a·Apache2.x\97p\83\82\83W\83\85\81[\83\8b\82Å\82 \82è\81ACHTML\81iDoCoMo i-Mode\97pCHTML3.0)\82Å\8bL\8fq\82³\82ê\82½\95\8f\91\82â\92Ê\8fí\82ÌHTML\82Å\8bL\8fq\82³\82ê\82½\95\8f\91\82ð\81A\83A\83N\83Z\83X\82É\97\88\82½\92[\96\96\82ÌUser-Agent\83w\83b\83_\82ð\8c©\82Ä\81A\82»\82ê\82¼\82ê\82Ì\92[\96\96\82É\82 \82Á\82½\8c`\8e®\82É\95Ï\8a·\82µ\82Ü\82·\81BHTML\95\8f\91\82É\8cÀ\82ç\82¸\81A\89æ\91\9c\81ijpg\81Agif\81Apng\81j\81A\8aG\95\8e\9a\82É\82Â\82¢\82Ä\82à\81A\92è\8b`\83t\83@\83C\83\8b\82É\8f]\82Á\82Ä\82»\82ê\82¼\82ê\82Ì\83L\83\83\83\8a\83A\82É\82 \82Á\82½\8aG\95\8e\9a\82É\95Ï\8a·\82µ\82Ü\82·\81BCookie\94ñ\91Î\89\9e\92[\96\96\81ARefer\94ñ\91Î\89\9e\92[\96\96\82Ì\82½\82ß\82É\81ASet-Cookie\81ACookie\83w\83b\83_\82âReferer\83w\83b\83_\82ð\83V\83~\83\85\83\8c\81[\83g\82·\82é\82±\82Æ\82à\82Å\82«\82Ü\82·\81iEXPERIMENTAL)\81B<span class="note"><a href="#doc1_19" onmouseover="hilightSelflink(this)" onmouseout="normal(this)" title="Apache2.2\82Í\83o\81[\83W\83\87\83\930.8.1\82©\82ç\91Î\89\9e"><sup>(1)</sup></a></span></p>
-
-<div class="footnote">
-<ol>
-<li id="doc1_19" value="1"> Apache2.2\82Í\83o\81[\83W\83\87\83\930.8.1\82©\82ç\91Î\89\9e</ol>
-</div>
+<p class="first_ja">mod_chxj\82Í\83I\81[\83v\83\93\83\\81[\83X\82Ì\8cg\91Ñ\8cü\82¯\83R\83\93\83e\83\93\83c\95Ï\8a·Apache2.0\97p\83\82\83W\83\85\81[\83\8b\82Å\82 \82è\81ACHTML\81iDoCoMo i-Mode\97pCHTML3.0)\82Å\8bL\8fq\82³\82ê\82½\95\8f\91\82â\92Ê\8fí\82ÌHTML\82Å\8bL\8fq\82³\82ê\82½\95\8f\91\82ð\81A\83A\83N\83Z\83X\82É\97\88\82½\92[\96\96\82ÌUser-Agent\83w\83b\83_\82ð\8c©\82Ä\81A\82»\82ê\82¼\82ê\82Ì\92[\96\96\82É\82 \82Á\82½\8c`\8e®\82É\95Ï\8a·\82µ\82Ü\82·\81BHTML\95\8f\91\82É\8cÀ\82ç\82¸\81A\89æ\91\9c\81ijpg\81Agif\81Apng\81j\81A\8aG\95\8e\9a\82É\82Â\82¢\82Ä\82à\81A\92è\8b`\83t\83@\83C\83\8b\82É\8f]\82Á\82Ä\82»\82ê\82¼\82ê\82Ì\83L\83\83\83\8a\83A\82É\82 \82Á\82½\8aG\95\8e\9a\82É\95Ï\8a·\82µ\82Ü\82·\81BCookie\94ñ\91Î\89\9e\92[\96\96\81ARefer\94ñ\91Î\89\9e\92[\96\96\82Ì\82½\82ß\82É\81ASet-Cookie\81ACookie\83w\83b\83_\82âReferer\83w\83b\83_\82ð\83V\83~\83\85\83\8c\81[\83g\82·\82é\82±\82Æ\82à\82Å\82«\82Ü\82·\81iEXPERIMENTAL)\81B</p>
 
+<h2 id="doc1_20">\83C\83\93\83X\83g\81[\83\8b</h2>
 
-<h2 id="doc1_23">\83C\83\93\83X\83g\81[\83\8b</h2>
 
-
-<h3 id="doc1_25">\8f\80\94õ</h3>
+<h3 id="doc1_22">\8f\80\94õ</h3>
 
 <p class="first_ja">mod_chxj\82ð\83C\83\93\83X\83g\81[\83\8b\82·\82é\91O\82É\81A\89º\8bL\82Ì\82à\82Ì\82ð\97p\88Ó\82·\82é\95K\97v\82ª\82 \82è\82Ü\82·\81B</p>
 
 <ol>
-<li> Apache2.x\82Ì\83w\83b\83_\81[\83t\83@\83C\83\8b\8cQ
-<li> Apache2.x\97p\82Ìapxs
+<li> Apache2.0\82Ì\83w\83b\83_\81[\83t\83@\83C\83\8b\8cQ
+<li> Apache2.0\97p\82Ìapxs
 <li> apr(Apache Portable Runtime)\83\89\83C\83u\83\89\83\8a\82Æ\82»\82Ì\83w\83b\83_\83t\83@\83C\83\8b\8cS(apu\8aÜ\82Þ)
 <li> automake\81Aautoconf\81Alibtool1.3.X
 <li> ImageMagick(MagickWand)
-<li> libiconv\82Ü\82½\82Ílibiconv_hook(SJIS-WIN\81AEUCJP-WIN\91Î\89\9e\82ª\96]\82Ü\82µ\82¢)
+<li> libiconv\82Ü\82½\82Ílibiconv_hook
 <li> Linux</ol>
 
 
-<h3 id="doc1_52">mod_chxj\82Ì\93ü\8eè</h3>
+<h3 id="doc1_49">mod_chxj\82Ì\93ü\8eè</h3>
 
 <p class="first_ja">mod_chxj\82Í<a href="http://sourceforge.jp/projects/modchxj/" target="_top" onmouseover="hilightExternallink(this)" onmouseout="normal(this)">\82±\82¿\82ç</a>\82©\82ç\83_\83E\83\93\83\8d\81[\83h\82·\82é\82±\82Æ\82ª\82Å\82«\82Ü\82·\81B</p>
 
-<h3 id="doc1_58">\83C\83\93\83X\83g\81[\83\8b</h3>
+<h3 id="doc1_55">\83C\83\93\83X\83g\81[\83\8b</h3>
 
 <p class="first_ja">\88È\89º\82Émod_chxj\83C\83\93\83X\83g\81[\83\8b\8eè\8f\87\82ð\8e¦\82µ\82Ü\82·\81B</p>
 
 <ol>
 <li> <p>Configure\83X\83N\83\8a\83v\83g\82ð\90\90¬\82µ\82Ü\82·</p>
 
-<div id="doc1_64" class="caption">Configure \83X\83N\83\8a\83v\83g\82Ì\90\90¬</div>
+<div id="doc1_61" class="caption">Configure \83X\83N\83\8a\83v\83g\82Ì\90\90¬</div>
 <pre class="program" style="margin-top:0">
 $ ./buildconf.sh
 </pre>
 
-<p><span class="note"><a href="#doc1_67" onmouseover="hilightSelflink(this)" onmouseout="normal(this)" title="&quot;$&quot;\82Í\83v\83\8d\83\93\83v\83g\82ð\82 \82ç\82í\82µ\82Ü\82·\81B"><sup>(2)</sup></a></span></p>
+<p><span class="note"><a href="#doc1_64" onmouseover="hilightSelflink(this)" onmouseout="normal(this)" title="&quot;$&quot;\82Í\83v\83\8d\83\93\83v\83g\82ð\82 \82ç\82í\82µ\82Ü\82·\81B"><sup>(1)</sup></a></span></p>
 <li> <p>Configure</p>
-<p>\88È\89º\82Í\81A/usr/include/apache2.x\82É\81AApache2.x\82Ì\83w\83b\83_\81[\83t\83@\83C\83\8b\82ª\91\8dÝ\82·\82é\8fê\8d\87\82Å\82·\81B</p>
+<p>\88È\89º\82Í\81A/usr/include/apache2.0\82É\81AApache2.0\82Ì\83w\83b\83_\81[\83t\83@\83C\83\8b\82ª\91\8dÝ\82·\82é\8fê\8d\87\82Å\82·\81B</p>
 
-<div id="doc1_73" class="caption">Configure</div>
+<div id="doc1_70" class="caption">Configure</div>
 <pre class="program" style="margin-top:0">
-$ ./configure --with-apache-header=/usr/include/apache2.x
+$ ./configure --with-apache-header=/usr/include/apache2.0
 </pre>
 
-<p><span class="note"><a href="#doc1_76" onmouseover="hilightSelflink(this)" onmouseout="normal(this)" title="--with-apache-header\82Í\95K\90{\82Å\82·\81B"><sup>(3)</sup></a></span><span class="note"><a href="#doc1_79" onmouseover="hilightSelflink(this)" onmouseout="normal(this)" title="\8aÂ\8b«\82É\82æ\82Á\82Ä\82Í--with-iconv\82â--with-apr\81A--with-apu\82à\95K\97v\82Å\82·"><sup>(4)</sup></a></span></p>
+<p><span class="note"><a href="#doc1_73" onmouseover="hilightSelflink(this)" onmouseout="normal(this)" title="--with-apache-header\82Í\95K\90{\82Å\82·\81B"><sup>(2)</sup></a></span><span class="note"><a href="#doc1_76" onmouseover="hilightSelflink(this)" onmouseout="normal(this)" title="FreeBSD\93\99\82Ì\8fê\8d\87\82Í--with-iconv\82à\95K\90{\82Å\82·\81B"><sup>(3)</sup></a></span><span class="note"><a href="#doc1_79" onmouseover="hilightSelflink(this)" onmouseout="normal(this)" title="\8fê\8d\87\82É\82æ\82Á\82Ä\82Í--with-apr\82â--with-apu\82à\95K\97v\82Å\82·\81B"><sup>(4)</sup></a></span></p>
 <li> mod_chxj.so\82ð\90\90¬\82µ\82Ü\82·
 <div id="doc1_85" class="caption">make</div>
 <pre class="program" style="margin-top:0">
@@ -824,7 +818,7 @@ $ cp etc/emoji.xml /etc/apache2/chxj
 
 <div class="footnote">
 <ol>
-<li id="doc1_67" value="2"> &quot;$&quot;\82Í\83v\83\8d\83\93\83v\83g\82ð\82 \82ç\82í\82µ\82Ü\82·\81B<li id="doc1_76" value="3"> --with-apache-header\82Í\95K\90{\82Å\82·\81B<li id="doc1_79" value="4"> \8aÂ\8b«\82É\82æ\82Á\82Ä\82Í--with-iconv\82â--with-apr\81A--with-apu\82à\95K\97v\82Å\82·</ol>
+<li id="doc1_64" value="1"> &quot;$&quot;\82Í\83v\83\8d\83\93\83v\83g\82ð\82 \82ç\82í\82µ\82Ü\82·\81B<li id="doc1_73" value="2"> --with-apache-header\82Í\95K\90{\82Å\82·\81B<li id="doc1_76" value="3"> FreeBSD\93\99\82Ì\8fê\8d\87\82Í--with-iconv\82à\95K\90{\82Å\82·\81B<li id="doc1_79" value="4"> \8fê\8d\87\82É\82æ\82Á\82Ä\82Í--with-apr\82â--with-apu\82à\95K\97v\82Å\82·\81B</ol>
 </div>
 
 
@@ -841,7 +835,7 @@ $ cp etc/emoji.xml /etc/apache2/chxj
 <div id="doc1_112" class="caption">httpd.conf</div>
 <pre class="program" style="margin-top:0">
 #====================================================================================
-# \83\82\83W\83\85\81[\83\8b\82ðApache2.x\82É\83\8d\81[\83h
+# \83\82\83W\83\85\81[\83\8b\82ðApache2.0\82É\83\8d\81[\83h
 #====================================================================================
 LoadModule chxj_module /usr/lib/apache2/modules/mod_chxj.so
 
@@ -875,7 +869,7 @@ ChxjConvertRule &quot;^/chxj.+$&quot; &quot;EngineOn&quot; &quot;NONE&quot;
 <div id="doc1_127" class="caption">httpd.conf</div>
 <pre class="program" style="margin-top:0">
 #====================================================================================
-# \83\82\83W\83\85\81[\83\8b\82ðApache2.x\82É\83\8d\81[\83h
+# \83\82\83W\83\85\81[\83\8b\82ðApache2.0\82É\83\8d\81[\83h
 #====================================================================================
 LoadModule chxj_module /usr/lib/apache2/modules/mod_chxj.so
 
@@ -910,7 +904,7 @@ ChxjConvertRule &quot;^/chxj.+$&quot; &quot;EngineOn&quot; &quot;EUC-JP&quot;
 <div id="doc1_142" class="caption">httpd.conf</div>
 <pre class="program" style="margin-top:0">
 #====================================================================================
-# \83\82\83W\83\85\81[\83\8b\82ðApache2.x\82É\83\8d\81[\83h
+# \83\82\83W\83\85\81[\83\8b\82ðApache2.0\82É\83\8d\81[\83h
 #====================================================================================
 LoadModule chxj_module /usr/lib/apache2/modules/mod_chxj.so
 
@@ -1006,9 +1000,18 @@ ChxjImageCopyright &quot;A.Konno&quot;
 </pre>
 
 <p>mod_chxj\82É\89æ\91\9c\95Ï\8a·\83L\83\83\83b\83V\83\85\82Æ\82µ\82Ä/tmp\82ð\8eg\97p\82·\82é\82æ\82¤\8ew\8e¦\82µ\82Ü\82·\81B<br></br><br></br></p>
+<li> <p>ChxjImageCacheLimit<br></br> mod_chxj\89æ\91\9c\95Ï\8a·\83n\83\93\83h\83\89\82ª\8eg\97p\82·\82é\95Ï\8a·\8cã\82Ì\89æ\91\9c\82ð\82¨\82¢\82Ä\82¨\82­\83f\83B\83\8c\83N\83g\83\8a\82Ì\8b\96\97e\97Ê\82ð\8ew\92è\82µ\82Ü\82·\81B\92P\88Ê\82Íbyte\81B</p>
+
+<div id="doc1_187" class="caption">ChxjImageCacheLimit</div>
+<pre class="program" style="margin-top:0">
+      ChxjImageCacheLimit 1024
+      
+</pre>
+
+<p>mod_chxj\82É\89æ\91\9c\95Ï\8a·\83L\83\83\83b\83V\83\85\8dÅ\91å\83T\83C\83Y\82Æ\82µ\82Ä1kbyte\82Æ\8ew\92è\81B\81¦\82±\82Ì\82Æ\82«\95Ï\8a·\8c\8b\89Ê\82ª1kbyte\88È\8fã\82 \82é\82æ\82¤\82È\8fê\8d\87\82É\82ÍINTERNAL_SERVER_ERROR\82ð\95Ô\82µ\82Ü\82·\81B\8f\\95ª\82È\97Ì\88æ\82ð\8am\95Û\82·\82é\82©\81A\89æ\91\9c\83T\83C\83Y\82ð\8f¬\82³\82­\82µ\82Ä\82­\82¾\82³\82¢\81B<br></br><br></br></p>
 <li> <p>ChxjImageCopyright<br></br> mod_chxj\82Ì\89æ\91\9c\95Ï\8a·\83n\83\93\83h\83\89\82É\81A\93]\91\97\8bÖ\8e~\90Ý\92è\82ð\8ds\82¤\82æ\82¤\8ew\8e¦\82µ\82Ü\82·\81B\83p\83\89\83\81\81[\83^\82Æ\82µ\82Ä\94C\88Ó\82Ì\95\8e\9a\97ñ\82ð\82Æ\82è\82Ü\82·\81BChxjImageCopyright\83f\83B\83\8c\83N\83e\83B\83u\82Å\8ew\92è\82³\82ê\82½\95\8e\9a\97ñ\82Í\81A\82»\82ê\82¼\82ê\82Ì\83C\83\81\81[\83W\82Ì\83R\83\81\83\93\83g\95\94\82É\96\84\82ß\8d\9e\82Ü\82ê\82Ü\82·\81B</p>
 
-<div id="doc1_187" class="caption">ChxjImageCopyright</div>
+<div id="doc1_199" class="caption">ChxjImageCopyright</div>
 <pre class="program" style="margin-top:0">
       ChxjImageCopyright &quot;A.Konno&quot;
       
@@ -1017,7 +1020,7 @@ ChxjImageCopyright &quot;A.Konno&quot;
 <p>mod_chxj\82É\93]\91\97\8bÖ\8e~\90Ý\92è\82ð\8ds\82¤\82æ\82¤\8ew\8e¦\82µ\82Ä\82¢\82Ü\82·\81B\95Ï\8a·\8cã\83C\83\81\81[\83W\82Ì\83R\83\81\83\93\83g\95\94\95ª\82É\82Í\81A\83L\83\83\83\8a\83A\96\88\82É\88È\89º\82Ì\95\8e\9a\97ñ\82ð\96\84\82ß\8d\9e\82Ý\82Ü\82·\81B</p>
 <p><b>AU \82Ì\8fê\8d\87</b></p>
 
-<div id="doc1_193" class="caption">AU</div>
+<div id="doc1_205" class="caption">AU</div>
 <pre class="program" style="margin-top:0">
        kddi_copyright=on,A.Konno
        
@@ -1025,35 +1028,35 @@ ChxjImageCopyright &quot;A.Konno&quot;
 
 <p><b>DoCoMo\82Ì\8fê\8d\87</b></p>
 
-<div id="doc1_199" class="caption">DoCoMo</div>
+<div id="doc1_211" class="caption">DoCoMo</div>
 <pre class="program" style="margin-top:0">
 copy=&quot;NO&quot;,A.Konno
 </pre>
 
 <p><b>SoftBank/Vodafone</b>\82Ì\8fê\8d\87\82Í\81A\83\8c\83X\83|\83\93\83X\83w\83b\83_\82É</p>
 
-<div id="doc1_205" class="caption">SoftBank/Vodafone/J-PHONE</div>
+<div id="doc1_217" class="caption">SoftBank/Vodafone/J-PHONE</div>
 <pre class="program" style="margin-top:0">
          x-jphone-copyright:no-transfer
        
 </pre>
 
-<p>\82ð\96\84\82ß\8d\9e\82Ý\82Ü\82·\81B<span class="note"><a href="#doc1_208" onmouseover="hilightSelflink(this)" onmouseout="normal(this)" title="SoftBank/Vodafone\82Ì\8fê\8d\87\82Í\81A\83\8a\83N\83G\83X\83g\82t\82q\82k\82Ì\8dÅ\8cã\82ª.pnz\82©\81A.jpz\82Å\8fI\82í\82é\82æ\82¤\82É\83_\83~\81[\82ð\95t\82¯\82È\82¯\82ê\82Î\82È\82è\82Ü\82¹\82ñ\81B"><sup>(5)</sup></a></span></p></ol></ol>
+<p>\82ð\96\84\82ß\8d\9e\82Ý\82Ü\82·\81B<span class="note"><a href="#doc1_220" onmouseover="hilightSelflink(this)" onmouseout="normal(this)" title="SoftBank/Vodafone\82Ì\8fê\8d\87\82Í\81A\83\8a\83N\83G\83X\83g\82t\82q\82k\82Ì\8dÅ\8cã\82ª.pnz\82©\81A.jpz\82Å\8fI\82í\82é\82æ\82¤\82É\83_\83~\81[\82ð\95t\82¯\82È\82¯\82ê\82Î\82È\82è\82Ü\82¹\82ñ\81B"><sup>(5)</sup></a></span></p></ol></ol>
 
 
 <div class="footnote">
 <ol>
-<li id="doc1_208" value="5"> SoftBank/Vodafone\82Ì\8fê\8d\87\82Í\81A\83\8a\83N\83G\83X\83g\82t\82q\82k\82Ì\8dÅ\8cã\82ª.pnz\82©\81A.jpz\82Å\8fI\82í\82é\82æ\82¤\82É\83_\83~\81[\82ð\95t\82¯\82È\82¯\82ê\82Î\82È\82è\82Ü\82¹\82ñ\81B</ol>
+<li id="doc1_220" value="5"> SoftBank/Vodafone\82Ì\8fê\8d\87\82Í\81A\83\8a\83N\83G\83X\83g\82t\82q\82k\82Ì\8dÅ\8cã\82ª.pnz\82©\81A.jpz\82Å\8fI\82í\82é\82æ\82¤\82É\83_\83~\81[\82ð\95t\82¯\82È\82¯\82ê\82Î\82È\82è\82Ü\82¹\82ñ\81B</ol>
 </div>
 
 
-<h3 id="doc1_216">\95\8e\9a\83R\81[\83h\82ð\95Ï\8a·\82µ\82½\82¢\8fê\8d\87(EXPERIMENTAL)</h3>
+<h3 id="doc1_228">\95\8e\9a\83R\81[\83h\82ð\95Ï\8a·\82µ\82½\82¢\8fê\8d\87(EXPERIMENTAL)</h3>
 
 
 <ol>
 <li> <p>httpd.conf\82É\88È\89º\82ð\92Ç\89Á\82µ\82Ü\82·\81B\89º\8bL\82Í\81AURI\82ª/chxj\82Å\8en\82Ü\82é\91S\82Ä\82Ì\83R\83\93\83e\83\93\83c\82É\91Î\82µ\82Ä\93®\8dì\82·\82é\82æ\82¤mod_chxj\82É\8ew\8e¦\82µ\82Ä\82¢\82Ü\82·\81B\83T\81[\83o\91¤\82ÍEUC-JP\82Å\82 \82Á\82½\8fê\8d\87\82Ì\97á\82Å\82·\81Bmod_chxj\82É\82æ\82Á\82ÄSJIS\82É\95Ï\8a·\82·\82é\82æ\82¤\82É\8ew\8e¦\82µ\82Ä\82¢\82Ü\82·\81B\83T\81[\83o\91¤\82ªShift_JIS\82Å\96³\82¢\8fê\8d\87\82Í\81AShift_JIS\83R\81[\83h\82Ì10\90i\8eQ\8fÆ\95\8e\9a\97ñ\95\\8bL\82ð\8bL\8fq\82·\82é\82±\82Æ\82É\82æ\82Á\82ÄShift_JIS\83R\81[\83h\82Ì\8aG\95\8e\9a2\83o\83C\83g\83R\81[\83h\82É\95Ï\8a·\82µ\83N\83\89\83C\83A\83\93\83g\82Ö\95Ô\82µ\82Ü\82·\81B</p>
 
-<div id="doc1_222" class="caption">httpd.conf</div>
+<div id="doc1_234" class="caption">httpd.conf</div>
 <pre class="program" style="margin-top:0">
 ChxjConvRule &quot;^/chxj.+$&quot; &quot;EngineOn&quot; &quot;EUC-JP&quot;
 </pre>
@@ -1069,43 +1072,49 @@ ChxjConvRule &quot;^/chxj.+$&quot; &quot;EngineOn&quot; &quot;EUC-JP&quot;
 <p><br></br><br></br></p></ol></ol>
 
 
-<h3 id="doc1_260">\83f\83B\83\8c\83N\83e\83B\83u</h3>
+<h3 id="doc1_272">\83f\83B\83\8c\83N\83e\83B\83u</h3>
 
 
 <ol>
 <li> ChxjLoadDeviceData<br></br>\83f\83o\83C\83X\92è\8b`\83t\83@\83C\83\8b\82ð\8ew\92è\82µ\82Ü\82·\81B
-<div id="doc1_268" class="caption">ex)</div>
+<div id="doc1_280" class="caption">ex)</div>
 <pre class="program" style="margin-top:0">
     ChxjLoadDeviceData /etc/apache2/device.xml
   
 </pre>
 <li> ChxjLoadEmojiData<br></br>\8aG\95\8e\9a\95Ï\8a·\92è\8b`\83t\83@\83C\83\8b\82ð\8ew\92è\82µ\82Ü\82·\81B
-<div id="doc1_276" class="caption">ex)</div>
+<div id="doc1_288" class="caption">ex)</div>
 <pre class="program" style="margin-top:0">
     ChxjLoadEmojiData   /etc/apache2/chxj/emoji.xml
   
 </pre>
 <li> ChxjImageEngine<br></br>\89æ\91\9c\95Ï\8a·\83G\83\93\83W\83\93\82ð\97L\8cø\82É\82µ\82Ü\82·\81B\83p\83\89\83\81\81[\83^\82Æ\82µ\82ÄOn\82ÆOff\82ð\8ew\92è\82Å\82«\82Ü\82·\81BDefault\82ÍOff\82Å\82·\81B
-<div id="doc1_284" class="caption">ex)</div>
+<div id="doc1_296" class="caption">ex)</div>
 <pre class="program" style="margin-top:0">
     ChxjImageEngine On
   
 </pre>
 <li> ChxjImageCacheDir<br></br>\83C\83\81\81[\83W\82Ì\88ê\8e\9e\83t\83@\83C\83\8b\95Û\91\8fê\8f\8a\82ð\8ew\92è\82µ\82Ü\82·\81B
-<div id="doc1_292" class="caption">ex)</div>
+<div id="doc1_304" class="caption">ex)</div>
 <pre class="program" style="margin-top:0">
     ChxjImageCacheDir   /tmp
   
 </pre>
+<li> ChxjImageCacheLimit<br></br>\83C\83\81\81[\83W\82Ì\88ê\8e\9e\83t\83@\83C\83\8b\95Û\91\8b\96\97e\97Ê\82ð\8ew\92è\82µ\82Ü\82·\81B\89º\8bL\82Í1MByte\82Ì\97á\81B
+<div id="doc1_312" class="caption">ex)</div>
+<pre class="program" style="margin-top:0">
+    ChxjImageCacheLimit   1048576
+  
+</pre>
 <li> ChxjImageCopyright<br></br>\83C\83\81\81[\83W\82É\92\98\8dì\8c \8fî\95ñ\82ð\95t\97^\82µ\82Ü\82·\81B
-<div id="doc1_300" class="caption">ex)</div>
+<div id="doc1_320" class="caption">ex)</div>
 <pre class="program" style="margin-top:0">
-    ChxjImageCacheDir   &quot;chosakuken jyoho&quot;
+    ChxjImageCopyright   &quot;chosakuken jyoho&quot;
   
 </pre>
 <li> ChxjConvertRule<br></br> HTML\95Ï\8a·\83G\83\93\83W\83\93\82Ì\93K\97p\83\8b\81[\83\8b\82ð\8bL\8fq\82µ\82Ü\82·\81B\96{\83f\83B\83\8c\83N\83e\83B\83u\82ð\8eg\97p\82µ\81A\95Ï\8a·\83G\83\93\83W\83\93\82ÌOn|Off\82ð\8ew\92è\82µ\82Ü\82·\81BDefault\82ÍOFF\82Å\82·\81B\82Ü\82½\81A\83\8b\81[\83\8b\82Í\8bL\8fq\82³\82ê\82½\8f\87\94Ô\82É\95]\89¿\82µ\81A\83}\83b\83`\82·\82é\82à\82Ì\82ª\82 \82ê\82Î\81A\82»\82Ì\8e\9e\93_\82Å\91Î\8fÛ\83\8b\81[\83\8b\82ð\93K\97p\82µ\82Ü\82·\81B\83p\83\89\83\81\81[\83^\82Í3\82Â\95K\97v\82Å\82·\81B\89º\8bL\82É\83p\83\89\83\81\81[\83^\82ð\8bL\82µ\82Ü\82·\81B
 <div class="table">
-<table id="doc1_308" class="data" rules="groups">
+<table id="doc1_328" class="data" rules="groups">
 <caption>\83p\83\89\83\81\81[\83^</caption>
 <colgroup span="2">
 <col>
@@ -1137,14 +1146,14 @@ ChxjConvRule &quot;^/chxj.+$&quot; &quot;EngineOn&quot; &quot;EUC-JP&quot;
 </div>
 
 
-<div id="doc1_354" class="caption">ex)</div>
+<div id="doc1_374" class="caption">ex)</div>
 <pre class="program" style="margin-top:0">
     ChxjConvertRule &quot;^/chxj.+$/&quot; EngineOn EUC-JP
   
 </pre>
 <li> <p>ChxjCookieDir<br></br>\83N\83b\83L\81[\82ð\8eg\97p\82·\82é\8fê\8d\87\82É\8ew\92è\82µ\82Ü\82·\81B\83N\83b\83L\81[\82Ì\93à\97e\82ð\95Û\91\82·\82é\83f\83B\83\8c\83N\83g\83\8a\82ð\8ew\92è\82µ\82Ü\82·\81B\8ew\92è\82µ\82È\82¢\8fê\8d\87\82Í/tmp\82É\95Û\91\82³\82ê\82Ü\82·\81B</p>
 
-<div id="doc1_362" class="caption">ex)</div>
+<div id="doc1_382" class="caption">ex)</div>
 <pre class="program" style="margin-top:0">
     &lt;Location /&gt;
       ChxjCookieDir   /tmp
@@ -1155,7 +1164,7 @@ ChxjConvRule &quot;^/chxj.+$&quot; &quot;EngineOn&quot; &quot;EUC-JP&quot;
 <p>\8fÚ\8d×\82Í\81uCookie\83V\83~\83\85\83\8c\81[\83g\8b@\94\\81v\82Ì\8d\80\82ð\8eQ\8fÆ\82­\82¾\82³\82¢\81B</p>
 <li> <p>ChxjCookieTimeout<br></br>\83N\83b\83L\81[\82ð\8eg\97p\82·\82é\8fê\8d\87\82É\8ew\92è\82µ\82Ü\82·\81B\83N\83b\83L\81[\82Ì\95Û\8e\9d\8aú\8aÔ\82ð\95b\92P\88Ê\82Å\8ew\92è\82µ\82Ü\82·\81B\8ew\92è\82µ\82È\82¢\8fê\8d\87\82Í\81A1800\95b\82Å\83N\83b\83L\81[\83f\81[\83^\82ð\94j\8aü\82µ\82Ü\82·\81B</p>
 
-<div id="doc1_370" class="caption">ex)</div>
+<div id="doc1_390" class="caption">ex)</div>
 <pre class="program" style="margin-top:0">
     &lt;Location /&gt;
       ChxjCookieTimeout 10
@@ -1166,12 +1175,12 @@ ChxjConvRule &quot;^/chxj.+$&quot; &quot;EngineOn&quot; &quot;EUC-JP&quot;
 <p>\8fÚ\8d×\82Í\81uCookie\83V\83~\83\85\83\8c\81[\83g\8b@\94\\81v\82Ì\8d\80\82ð\8eQ\8fÆ\82­\82¾\82³\82¢\81B</p></ol>
 
 
-<h2 id="doc1_377">\91Î\89\9e\82·\82éCHTML\83^\83O</h2>
+<h2 id="doc1_397">\91Î\89\9e\82·\82éCHTML\83^\83O</h2>
 
 <p class="first_ja">\95Ï\8a·\89Â\94\\82È\82b\82g\82s\82l\82k\83^\83O\82Í\88È\89º\82Ì\82Æ\82¨\82è\82Å\82·\81B</p>
 
 <div class="table">
-<table id="doc1_379" class="data" rules="groups">
+<table id="doc1_399" class="data" rules="groups">
 <caption>\91Î\89\9e\83^\83O\88ê\97\97</caption>
 <colgroup span="7">
 <col>
@@ -1390,7 +1399,7 @@ ChxjConvRule &quot;^/chxj.+$&quot; &quot;EngineOn&quot; &quot;EUC-JP&quot;
 <td align="center">\81\9b</td>
 <td align="center">\81\9b</td>
 <td align="center">\81\9b</td>
-<td align="left"><span class="note"><a href="#doc1_934" onmouseover="hilightSelflink(this)" onmouseout="normal(this)" title="\95K\82¸\95Â\82\82Ä\82­\82¾\82³\82¢\81B\82»\82Ì\82¤\82¿\91Î\89\9e\82µ\82Ü\82·\81B"><sup>(7)</sup></a></span></td>
+<td align="left"><span class="note"><a href="#doc1_954" onmouseover="hilightSelflink(this)" onmouseout="normal(this)" title="\95K\82¸\95Â\82\82Ä\82­\82¾\82³\82¢\81B\82»\82Ì\82¤\82¿\91Î\89\9e\82µ\82Ü\82·\81B"><sup>(7)</sup></a></span></td>
 </tr>
 <tr class="even">
 <td></td>
@@ -1453,18 +1462,18 @@ ChxjConvRule &quot;^/chxj.+$&quot; &quot;EngineOn&quot; &quot;EUC-JP&quot;
 
 <div class="footnote">
 <ol>
-<li id="doc1_934" value="7"> \95K\82¸\95Â\82\82Ä\82­\82¾\82³\82¢\81B\82»\82Ì\82¤\82¿\91Î\89\9e\82µ\82Ü\82·\81B</ol>
+<li id="doc1_954" value="7"> \95K\82¸\95Â\82\82Ä\82­\82¾\82³\82¢\81B\82»\82Ì\82¤\82¿\91Î\89\9e\82µ\82Ü\82·\81B</ol>
 </div>
 
 
-<h2 id="doc1_1085">\93Æ\8e©\8ag\92£\83^\83O</h2>
+<h2 id="doc1_1105">\93Æ\8e©\8ag\92£\83^\83O</h2>
 
 
 <ol>
 <li> <p>&lt;CHXJ:IF&gt;<br></br></p>
-<p>&lt;CHXJ:IF&gt;\83^\83O\82Æ&lt;/CHXJ:IF&gt;\83^\83O\82Å\82Í\82³\82Ü\82ê\82½\83^\83O\82â\83e\83L\83X\83g\82Í\81A\95Ï\8a·\82¹\82¸\82É<b>\82»\82Ì\82Ü\82Ü</b><span class="note"><a href="#doc1_1095" onmouseover="hilightSelflink(this)" onmouseout="normal(this)" title="\95Ï\8a·\82µ\82Ü\82¹\82ñ\82Ì\82Å\92\8d\88Ó\82ª\95K\97v\82Å\82·"><sup>(8)</sup></a></span>\8fo\97Í\82µ\82Ü\82·\81B\95K\90{\82Ì\91®\90«\82Æ\82µ\82Älang\82ª\82 \82è\82Ü\82·\81Blang\91®\90«\82ð\8ew\92è\82·\82é\82±\82Æ\82É\82æ\82Á\82Ä\81A\97á\82¦\82Î\81A<b>\81uHDML\8b@\82Ì\8fê\8d\87\82Ì\82Ý\8fo\97Í\82³\82¹\82é\81v</b>\82Æ\82¢\82Á\82½\82±\82Æ\82ð\89Â\94\\82É\82µ\82Ü\82·\81B<br></br><br></br>ex)</p>
+<p>&lt;CHXJ:IF&gt;\83^\83O\82Æ&lt;/CHXJ:IF&gt;\83^\83O\82Å\82Í\82³\82Ü\82ê\82½\83^\83O\82â\83e\83L\83X\83g\82Í\81A\95Ï\8a·\82¹\82¸\82É<b>\82»\82Ì\82Ü\82Ü</b><span class="note"><a href="#doc1_1115" onmouseover="hilightSelflink(this)" onmouseout="normal(this)" title="\95Ï\8a·\82µ\82Ü\82¹\82ñ\82Ì\82Å\92\8d\88Ó\82ª\95K\97v\82Å\82·"><sup>(8)</sup></a></span>\8fo\97Í\82µ\82Ü\82·\81B\95K\90{\82Ì\91®\90«\82Æ\82µ\82Älang\82ª\82 \82è\82Ü\82·\81Blang\91®\90«\82ð\8ew\92è\82·\82é\82±\82Æ\82É\82æ\82Á\82Ä\81A\97á\82¦\82Î\81A<b>\81uHDML\8b@\82Ì\8fê\8d\87\82Ì\82Ý\8fo\97Í\82³\82¹\82é\81v</b>\82Æ\82¢\82Á\82½\82±\82Æ\82ð\89Â\94\\82É\82µ\82Ü\82·\81B<br></br><br></br>ex)</p>
 
-<div id="doc1_1105" class="caption">HTML\95\8f\91\92\86\82ÉHDML\8b@\82Ì\8fê\8d\87\82Ì\82Ý\97L\8cø\82É\82µ\82½\82¢\83^\83O\81A\82Ü\82½\82Í\95\8f\91\82ª\82 \82é\8fê\8d\87</div>
+<div id="doc1_1125" class="caption">HTML\95\8f\91\92\86\82ÉHDML\8b@\82Ì\8fê\8d\87\82Ì\82Ý\97L\8cø\82É\82µ\82½\82¢\83^\83O\81A\82Ü\82½\82Í\95\8f\91\82ª\82 \82é\8fê\8d\87</div>
 <pre class="program" style="margin-top:0">
        &lt;CHXJ:IF lang=&quot;HDML&quot; &gt;
          &lt;NODISPLAY&gt;
@@ -1478,7 +1487,7 @@ ChxjConvRule &quot;^/chxj.+$&quot; &quot;EngineOn&quot; &quot;EUC-JP&quot;
 <p><br></br></p>
 <p>ex)</p>
 
-<div id="doc1_1109" class="caption">i-Mode\82Ì\82Ý\8fo\97Í\82µ\82½\82¢\95\8f\91\82ª\82 \82é\8fê\8d\87</div>
+<div id="doc1_1129" class="caption">i-Mode\82Ì\82Ý\8fo\97Í\82µ\82½\82¢\95\8f\91\82ª\82 \82é\8fê\8d\87</div>
 <pre class="program" style="margin-top:0">
        &lt;CHXJ:IF lang=&quot;chtml&quot; &gt;
          \83V\81[\83N\83\8c\83b\83g\83R\81[\83h\82ª\82Ç\81[\82Ì\82±\81[\82Ì\81B
@@ -1489,7 +1498,7 @@ ChxjConvRule &quot;^/chxj.+$&quot; &quot;EngineOn&quot; &quot;EUC-JP&quot;
 <p><br></br></p>
 <p>\82Ü\82½\81Alang\91®\90«\82Í\81A\95¡\90\94\8ew\92è\82·\82é\82±\82Æ\82à\89Â\94\\82Å\82·\81B<br></br></p>
 
-<div id="doc1_1115" class="caption">HDML\8b@,J-PHONE\8b@\82Í\88È\89º\82ð\8fo\97Í\82µ\82Ü\82·</div>
+<div id="doc1_1135" class="caption">HDML\8b@,J-PHONE\8b@\82Í\88È\89º\82ð\8fo\97Í\82µ\82Ü\82·</div>
 <pre class="program" style="margin-top:0">
        &lt;CHXJ:IF lang=&quot;chtml&quot; lang=&quot;jhtml&quot;&gt;
        \82 \82È\82½\82Ì\8cg\91Ñ\82Í\81AHDML\8b@\82©J-HTML\8b@\82Å\82·\81B
@@ -1502,26 +1511,26 @@ ChxjConvRule &quot;^/chxj.+$&quot; &quot;EngineOn&quot; &quot;EUC-JP&quot;
 
 <div class="footnote">
 <ol>
-<li id="doc1_1095" value="8"> \95Ï\8a·\82µ\82Ü\82¹\82ñ\82Ì\82Å\92\8d\88Ó\82ª\95K\97v\82Å\82·</ol>
+<li id="doc1_1115" value="8"> \95Ï\8a·\82µ\82Ü\82¹\82ñ\82Ì\82Å\92\8d\88Ó\82ª\95K\97v\82Å\82·</ol>
 </div>
 
 
-<h2 id="doc1_1122">\8aG\95\8e\9a\82É\82Â\82¢\82Ä</h2>
+<h2 id="doc1_1142">\8aG\95\8e\9a\82É\82Â\82¢\82Ä</h2>
 
-<p class="first_ja">i-Mode\97p\82Ì\8aG\95\8e\9a\82ð\8f\91\82¢\82Ä\82¨\82¯\82Î\81A\83A\83N\83Z\83X\82µ\82½\83L\83\83\83\8a\83A\82É\82æ\82Á\82Ä\81Amod_chxj\82ª\91Î\89\9e\82Ì\8aG\95\8e\9a\82É\8e©\93®\95Ï\8a·\82µ\82Ü\82·\81B\83\\81[\83X\82É2byte\82Ì\83o\83C\83i\83\8a\83R\81[\83h\82ð\92¼\90Ú\8f\91\82¢\82Ä\82à\81A\82P\82O\90i\8eQ\8fÆ\95\8e\9a\97ñ<span class="note"><a href="#doc1_1124" onmouseover="hilightSelflink(this)" onmouseout="normal(this)" title="\82P\82U\90i\8eQ\8fÆ\95\8e\9a\97ñ\82É\82Í\91Î\89\9e\82µ\82Ä\82¢\82Ü\82¹\82ñ"><sup>(9)</sup></a></span>\81i&amp;#XXX;\82Ì\8c`\81j\82Å\8f\91\82¢\82Ä\82à\81A\82Ç\82¿\82ç\82Å\82à\95Ï\8a·\91Î\8fÛ\82É\82È\82è\82Ü\82·\81B\82P\82O\90i\8eQ\8fÆ\95\8e\9a\97ñ\82Å\8f\91\82¢\82½\8fê\8d\87\82Í\81Amod_chxj\82É\82æ\82è\81A\8e©\93®\82Å\82Q\83o\83C\83g\83R\81[\83h\82É\95Ï\8a·\82µ\82Ü\82·\81B</p>
+<p class="first_ja">i-Mode\97p\82Ì\8aG\95\8e\9a\82ð\8f\91\82¢\82Ä\82¨\82¯\82Î\81A\83A\83N\83Z\83X\82µ\82½\83L\83\83\83\8a\83A\82É\82æ\82Á\82Ä\81Amod_chxj\82ª\91Î\89\9e\82Ì\8aG\95\8e\9a\82É\8e©\93®\95Ï\8a·\82µ\82Ü\82·\81B\83\\81[\83X\82É2byte\82Ì\83o\83C\83i\83\8a\83R\81[\83h\82ð\92¼\90Ú\8f\91\82¢\82Ä\82à\81A\82P\82O\90i\8eQ\8fÆ\95\8e\9a\97ñ<span class="note"><a href="#doc1_1144" onmouseover="hilightSelflink(this)" onmouseout="normal(this)" title="\82P\82U\90i\8eQ\8fÆ\95\8e\9a\97ñ\82É\82Í\91Î\89\9e\82µ\82Ä\82¢\82Ü\82¹\82ñ"><sup>(9)</sup></a></span>\81i&amp;#XXX;\82Ì\8c`\81j\82Å\8f\91\82¢\82Ä\82à\81A\82Ç\82¿\82ç\82Å\82à\95Ï\8a·\91Î\8fÛ\82É\82È\82è\82Ü\82·\81B\82P\82O\90i\8eQ\8fÆ\95\8e\9a\97ñ\82Å\8f\91\82¢\82½\8fê\8d\87\82Í\81Amod_chxj\82É\82æ\82è\81A\8e©\93®\82Å\82Q\83o\83C\83g\83R\81[\83h\82É\95Ï\8a·\82µ\82Ü\82·\81B</p>
 
 <div class="footnote">
 <ol>
-<li id="doc1_1124" value="9"> \82P\82U\90i\8eQ\8fÆ\95\8e\9a\97ñ\82É\82Í\91Î\89\9e\82µ\82Ä\82¢\82Ü\82¹\82ñ</ol>
+<li id="doc1_1144" value="9"> \82P\82U\90i\8eQ\8fÆ\95\8e\9a\97ñ\82É\82Í\91Î\89\9e\82µ\82Ä\82¢\82Ü\82¹\82ñ</ol>
 </div>
 
 
-<h3 id="doc1_1127">\8aG\95\8e\9a\95Ï\8a·\92è\8b`</h3>
+<h3 id="doc1_1147">\8aG\95\8e\9a\95Ï\8a·\92è\8b`</h3>
 
-<p class="first_ja">\8aG\95\8e\9a\82Ì\95Ï\8a·\82É\8aÖ\82·\82é\93®\8dì\82ð\95Ï\82¦\82½\82¢\8fê\8d\87\81i\97á\82¦\82Î\81u\83n\81[\83g\82ª\82 \82Á\82½\82ç\81A\82`\82t\82Ì\8fê\8d\87\82Í\83X\83y\81[\83h\82É\81v\82Æ\82©\81A\81u\95Ï\8a·\92è\8b`\82ª\82¨\82©\82µ\82¢\81v\82Æ\82¢\82Á\82½\8fê\8d\87\81j\82Í\81Aemoji.xml\83t\83@\83C\83\8b\82ð\92¼\90Ú\95Ò\8fW\82·\82é\82±\82Æ\82É\82æ\82Á\82Ä\92è\8b`\82ð\95Ï\8dX\82·\82é\82±\82Æ\82ª\89Â\94\\82Å\82·\81Bemoji.xml\82ÍXML\83t\83@\83C\83\8b\82Æ\82È\82Á\82Ä\82¢\82Ü\82·\82Ì\82Å\81Avi\93\99\82Å\8aÈ\92P\82É\92è\8b`\82ð\95Ï\8dX\82·\82é\82±\82Æ\82ª\82Å\82«\82Ü\82·<span class="note"><a href="#doc1_1129" onmouseover="hilightSelflink(this)" onmouseout="normal(this)" title="\8cµ\96§\82É\82ÍXML\82É\82È\82Á\82Ä\82¢\82È\82¢\82Ì\82Å\81A\93ú\96{\8cê\82Ì\8bL\8fq\82Í\82r\82i\82h\82r\82Å\82¨\8aè\82¢\82µ\82Ü\82·\81B"><sup>(10)</sup></a></span>\81B</p>
+<p class="first_ja">\8aG\95\8e\9a\82Ì\95Ï\8a·\82É\8aÖ\82·\82é\93®\8dì\82ð\95Ï\82¦\82½\82¢\8fê\8d\87\81i\97á\82¦\82Î\81u\83n\81[\83g\82ª\82 \82Á\82½\82ç\81A\82`\82t\82Ì\8fê\8d\87\82Í\83X\83y\81[\83h\82É\81v\82Æ\82©\81A\81u\95Ï\8a·\92è\8b`\82ª\82¨\82©\82µ\82¢\81v\82Æ\82¢\82Á\82½\8fê\8d\87\81j\82Í\81Aemoji.xml\83t\83@\83C\83\8b\82ð\92¼\90Ú\95Ò\8fW\82·\82é\82±\82Æ\82É\82æ\82Á\82Ä\92è\8b`\82ð\95Ï\8dX\82·\82é\82±\82Æ\82ª\89Â\94\\82Å\82·\81Bemoji.xml\82ÍXML\83t\83@\83C\83\8b\82Æ\82È\82Á\82Ä\82¢\82Ü\82·\82Ì\82Å\81Avi\93\99\82Å\8aÈ\92P\82É\92è\8b`\82ð\95Ï\8dX\82·\82é\82±\82Æ\82ª\82Å\82«\82Ü\82·<span class="note"><a href="#doc1_1149" onmouseover="hilightSelflink(this)" onmouseout="normal(this)" title="\8cµ\96§\82É\82ÍXML\82É\82È\82Á\82Ä\82¢\82È\82¢\82Ì\82Å\81A\93ú\96{\8cê\82Ì\8bL\8fq\82Í\82r\82i\82h\82r\82Å\82¨\8aè\82¢\82µ\82Ü\82·\81B"><sup>(10)</sup></a></span>\81B</p>
 <p><br></br>\88È\89º\82É\81Aemoji.xml\83t\83@\83C\83\8b\82Ì\88ê\95\94\82ð\8bL\82µ\82Ü\82·\81B</p>
 
-<div id="doc1_1134" class="caption">emoji.xml</div>
+<div id="doc1_1154" class="caption">emoji.xml</div>
 <pre class="program" style="margin-top:0">
 &lt;?xml encoding=&quot;Shift_JIS&quot; &gt;
 
@@ -1557,52 +1566,52 @@ ChxjConvRule &quot;^/chxj.+$&quot; &quot;EngineOn&quot; &quot;EUC-JP&quot;
 
 <div class="footnote">
 <ol>
-<li id="doc1_1129" value="10"> \8cµ\96§\82É\82ÍXML\82É\82È\82Á\82Ä\82¢\82È\82¢\82Ì\82Å\81A\93ú\96{\8cê\82Ì\8bL\8fq\82Í\82r\82i\82h\82r\82Å\82¨\8aè\82¢\82µ\82Ü\82·\81B</ol>
+<li id="doc1_1149" value="10"> \8cµ\96§\82É\82ÍXML\82É\82È\82Á\82Ä\82¢\82È\82¢\82Ì\82Å\81A\93ú\96{\8cê\82Ì\8bL\8fq\82Í\82r\82i\82h\82r\82Å\82¨\8aè\82¢\82µ\82Ü\82·\81B</ol>
 </div>
 
 
-<h2 id="doc1_1172">\83f\83o\83C\83X\92è\8b` device_data.xml</h2>
+<h2 id="doc1_1192">\83f\83o\83C\83X\92è\8b` device_data.xml</h2>
 
 <p class="first_ja">mod_chxj\82Ì\93®\8dì\82ð\8c\88\92è\95t\82¯\82é\8fd\97v\82È\92è\8b`\82Å\82·\81B\95Ï\8a·\91Î\8fÛ\82Ì\92[\96\96\82Í\91S\82Ä\81Adevice_data.xml\83t\83@\83C\83\8b\82É\92è\8b`\82³\82ê\82é\95K\97v\82ª\82 \82è\82Ü\82·\81B\92è\8b`\82³\82ê\82Ä\82¢\82È\82¢\92[\96\96\82Í\81Amod_chxj\82Æ\82µ\82Ä\82Í\81A\94F\8e¯\82·\82é\82±\82Æ\82ª\82Å\82«\82Ü\82¹\82ñ\81B\94F\8e¯\82Å\82«\82È\82¢\8fê\8d\87\82É\82Í\81A\95Ï\8a·\82¹\82¸\82É\82»\82Ì\82Ü\82Ü\8fo\97Í\82µ\82Ü\82·\81B\82½\82¾\82µ\81APerl\8cÝ\8a·\82Ì\90³\8bK\95\\8c»\82É\82æ\82Á\82Ä\92è\8b`\82Å\82«\82é\82½\82ß\81A\90³\8bK\95\\8c»\82Ì\8f\91\82«\95û\82É\82æ\82Á\82Ä\82Í\91S\82Ä\82Ì\8b@\8eí\82É\91Î\89\9e\82³\82¹\82é\82±\82Æ\82à\89Â\94\\82Å\82·\81B</p>
 
-<h2 id="doc1_1175">\83C\83\81\81[\83W\89æ\91\9c\95Ï\8a·\8b@\94\</h2>
+<h2 id="doc1_1195">\83C\83\81\81[\83W\89æ\91\9c\95Ï\8a·\8b@\94\</h2>
 
 <p class="first_ja">mod_chxj\82É\82Í\81AJPEG\81AGIF\81APNG\81ABMP\83t\83@\83C\83\8b\82ð\92u\82¢\82Ä\82¨\82­\82¾\82¯\82Å\81A\83f\83o\83C\83X\92è\8b`\82É\8f]\82Á\82Ä\81A\82»\82ê\82¼\82ê\82Ì\83L\83\83\83\8a\83A\91Î\89\9e\82Ì\83t\83H\81[\83}\83b\83g\82É\95Ï\8a·\82·\82é\8b@\94\\82ª\82 \82è\82Ü\82·\81B\89æ\91\9c\82Ì\83T\83C\83Y\81i\8fc\82w\89¡\81j\82à\81A\92[\96\96\82Ì\89æ\96Ê\83T\83C\83Y\82É\8d\87\82í\82¹\82Ä\95Ï\8a·\82µ\82Ü\82·\81B\89æ\91\9c\82Ì\83T\83C\83Y\81i\83o\83C\83g\90\94\81j\82É\82Â\82¢\82Ä\82Í\81A\83f\83o\83C\83X\92è\8b`\92\86\82Ì\83L\83\83\83b\83V\83\85\83T\83C\83Y\82ð\8c©\82Ä\81A\82»\82Ì\92l\82æ\82è\82à\8f¬\82³\82­\82È\82é\82æ\82¤\82É<b>\93w\97Í</b>\82µ\82Ü\82·\82ª\81A\8c³\82Ì\89æ\91\9c\82ª\91å\82«\82·\82¬\82é\8fê\8d\87\82â\81A\95¡\8eG\82È\89æ\91\9c\82Ì\8fê\8d\87\82É\82Í\81A\83L\83\83\83b\83V\83\85\83T\83C\83Y\82æ\82è\82à\8f¬\82³\82­\82Å\82«\82¸\82É\95\\8e¦\82Å\82«\82È\82¢\8fê\8d\87\82ª\82 \82è\82Ü\82·\81B<br></br>\82»\82ê\82¼\82ê\82Ì\83^\83O\82Å\8ew\92è\82·\82é\8fê\8d\87\82É\82Í\81A\83t\83@\83C\83\8b\96¼\82Ì\8ag\92£\8eq\81i.jpg\82â.gif\93\99\81j\82ð\82Í\82¸\82µ\82½\8c`\82Å\8ew\92è\82µ\82Ü\82·\81B<br></br>\96{\8b@\94\\82É\82Í\82R\82Â\82Ì\83\82\81[\83h\82ª\91\8dÝ\82µ\82Ü\82·\81B\82»\82Ì\83\82\81[\83h\82ð\88È\89º\82É\8bL\82µ\82Ü\82·\81B</p>
 
-<h3 id="doc1_1184">\83T\83\80\83l\83C\83\8b\83\82\81[\83h</h3>
+<h3 id="doc1_1204">\83T\83\80\83l\83C\83\8b\83\82\81[\83h</h3>
 
 <p class="first_ja">\92[\96\96\91¤\89æ\96Ê\83T\83C\83Y\82Ì\96ñ\82R\95ª\82Ì\82P\92ö\93x\82Ì\83T\83C\83Y\81i\8fc\82w\89¡\81j\82É\89æ\91\9c\82ð\8fk\8f¬\95\\8e¦\82µ\82Ü\82·\81B</p>
 
-<div id="doc1_1186" class="caption">\83T\83\80\83l\83C\83\8b\83\82\81[\83\8eg\97p\97á</div>
+<div id="doc1_1206" class="caption">\83T\83\80\83l\83C\83\8b\83\82\81[\83\8eg\97p\97á</div>
 <pre class="program" style="margin-top:0">
   &lt;IMG SRC=&quot;/img/logo?Mode=Thumbnail&quot;&gt;
   
 </pre>
 
 
-<h3 id="doc1_1190">\95Ç\8e\86\83\82\81[\83h</h3>
+<h3 id="doc1_1210">\95Ç\8e\86\83\82\81[\83h</h3>
 
 <p class="first_ja">\92[\96\96\91¤\89æ\96Ê\82Ì\83T\83C\83Y\82É\83}\83b\83`\82·\82é\83T\83C\83Y\82É\8ag\91å\81E\8fk\8f¬\82µ\82Ü\82·\81B\89¡\92·\82Ì\89æ\91\9c\82Ì\8fê\8d\87\82É\82Í\81A\8fc\95\9d\82ð\8d\87\82í\82¹\82½\8cã\82É\8d\89E\82ð\83g\83\8a\83~\83\93\83O\82µ\82Ü\82·\81B</p>
 
-<div id="doc1_1192" class="caption">\95Ç\8e\86\83\82\81[\83\8eg\97p\97á</div>
+<div id="doc1_1212" class="caption">\95Ç\8e\86\83\82\81[\83\8eg\97p\97á</div>
 <pre class="program" style="margin-top:0">
   &lt;IMG SRC=&quot;/img/logo?Mode=WP&quot;&gt;
   
 </pre>
 
 
-<h3 id="doc1_1196">EzGet\83\82\81[\83h</h3>
+<h3 id="doc1_1216">EzGet\83\82\81[\83h</h3>
 
 <p class="first_ja">\95Ç\8e\86\83_\83E\83\93\83\8d\81[\83h\82ð\8ds\82¢\82½\82¢\8fê\8d\87\82É\8eg\97p\82µ\82Ü\82·\81BEzGET\83\82\81[\83h\82Í\81A\95Ç\8e\86\83\82\81[\83h\82Å\8fo\97Í\82³\82ê\82é\89æ\91\9c\83T\83C\83Y\82Æ\93¯\88ê\83T\83C\83Y\82Ì\89æ\91\9c\82ª\8eg\97p\82³\82ê\82Ü\82·\81B</p>
 
-<div id="doc1_1198" class="caption">EzGet\83\82\81[\83\8eg\97p\97á</div>
+<div id="doc1_1218" class="caption">EzGet\83\82\81[\83\8eg\97p\97á</div>
 <pre class="program" style="margin-top:0">
   &lt;A HREF=&quot;/img/logo?Mode=EzGet&quot;&gt;
   
 </pre>
 
 
-<h3 id="doc1_1202">\82»\82Ì\91¼\82Ì\8b@\94\</h3>
+<h3 id="doc1_1222">\82»\82Ì\91¼\82Ì\8b@\94\</h3>
 
 <p class="first_ja">\83\82\81[\83h\82Ì\91¼\82É\81A\89æ\91\9c\83T\83C\83Y\81i\8fc\82w\89¡\81j\82ð\92¼\90Ú\8ew\92è\82·\82é\82±\82Æ\82à\89Â\94\\82Å\82·\81B<b>w</b>\83p\83\89\83\81\81[\83^\81A<b>h</b>\83p\83\89\83\81\81[\83^\82ð\8eg\97p\82µ\82Ä\8ew\92è\82µ\82Ü\82·\81B</p>
 
@@ -1610,7 +1619,7 @@ ChxjConvRule &quot;^/chxj.+$&quot; &quot;EngineOn&quot; &quot;EUC-JP&quot;
 <li> w\83p\83\89\83\81\81[\83^<br></br>\89¡\95\9d\82ð\8ew\92è\82µ\82Ü\82·\81B
 <li> h\83p\83\89\83\81\81[\83^<br></br>\8fc\95\9d\82ð\8ew\92è\82µ\82Ü\82·\81B
 
-<div id="doc1_1222" class="caption">w/h\83p\83\89\83\81\81[\83\8eg\97p\97á</div>
+<div id="doc1_1242" class="caption">w/h\83p\83\89\83\81\81[\83\8eg\97p\97á</div>
 <pre class="program" style="margin-top:0">
   &lt;IMG SRC=&quot;/img/logo?w=100&amp;h=200&quot;&gt;
   
@@ -1620,25 +1629,25 @@ ChxjConvRule &quot;^/chxj.+$&quot; &quot;EngineOn&quot; &quot;EUC-JP&quot;
 
 <p>\8fã\8bL\91S\82Ä\82Ì\83\82\81[\83h\81A\83p\83\89\83\81\81[\83^\82Í\82f\82d\82s\83\8a\83N\83G\83X\83g\82Æ\82µ\82Ä\82Ì\82Ý\8eg\97p\82Å\82«\82Ü\82·\81B</p>
 
-<h2 id="doc1_1233">\82p\82q\83R\81[\83h\8fo\97Í\8b@\94\</h2>
+<h2 id="doc1_1253">\82p\82q\83R\81[\83h\8fo\97Í\8b@\94\</h2>
 
 
-<h3 id="doc1_1235">\82p\82q\83R\81[\83h\8fo\97Í\83n\83\93\83h\83\89\82Ì\93o\98^</h3>
+<h3 id="doc1_1255">\82p\82q\83R\81[\83h\8fo\97Í\83n\83\93\83h\83\89\82Ì\93o\98^</h3>
 
 <p class="first_ja">\82p\82q\83R\81[\83h\8fo\97Í\8b@\94\\82ð\8eg\97p\82·\82é\82É\82Í\81A\82p\82q\83R\81[\83h\83n\83\93\83h\83\89\82ð\93o\98^\82µ\82Ü\82·\81Bhttpd.conf\82É\88È\89º\82Ì\8bL\8fq\82ð\92Ç\89Á\82µ\82Ü\82·\81B</p>
 
-<div id="doc1_1237" class="caption">httpd.conf</div>
+<div id="doc1_1257" class="caption">httpd.conf</div>
 <pre class="program" style="margin-top:0">
   AddHandler chxj-qrcode .qrc
 </pre>
 
 <p>\82È\82¨\81A\83n\83\93\83h\83\89\82ð\93o\98^\82µ\82È\82¢\82Å\82à\81A\8fo\97Í\83t\83B\83\8b\83^\81[\82ð\8co\97R\82³\82¹\82é\82±\82Æ\82Å\81A\82p\82q\83R\81[\83h\82ð\8fo\97Í\82³\82¹\82é\82±\82Æ\82à\89Â\94\\82Å\82·\81B\81i\81¦\82p\82q\83R\81[\83h\82Ì\93®\93I\8fo\97Í\82ð\8eQ\8fÆ\81j</p>
 
-<h3 id="doc1_1241">\82p\82q\83R\81[\83h\83\\81[\83X\83t\83@\83C\83\8b\82Ì\90Ý\92u</h3>
+<h3 id="doc1_1261">\82p\82q\83R\81[\83h\83\\81[\83X\83t\83@\83C\83\8b\82Ì\90Ý\92u</h3>
 
 <p class="first_ja">\83n\83\93\83h\83\89\82ð\93o\98^\82µ\82½\82ç\81A\82»\82Ì\93o\98^\82µ\82½\8ag\92£\8eq\82ð\8e\9d\82Â\83t\83@\83C\83\8b\82ð\97p\88Ó\82µ\82Ü\82·\81B</p>
 
-<div id="doc1_1243" class="caption">\97á\81Fa.qrc</div>
+<div id="doc1_1263" class="caption">\97á\81Fa.qrc</div>
 <pre class="program" style="margin-top:0">
   &lt;?xml version=1.0 ?&gt;
   
@@ -1661,11 +1670,11 @@ ChxjConvRule &quot;^/chxj.+$&quot; &quot;EngineOn&quot; &quot;EUC-JP&quot;
 <li> data\83^\83Odata\83^\83O\82Í\81A\82p\82q\83R\81[\83h\82É\8fo\97Í\82·\82é\83f\81[\83^\82ð\8ew\92è\82µ\82Ü\82·\81B\89ü\8ds\82µ\82½\8fê\8d\87\82Í\81A\89ü\8ds\95\8e\9a\82à\82p\82q\83R\81[\83h\93à\82É\95\84\8d\86\89»\82³\82ê\82Ü\82·\81B</ol>
 
 
-<h3 id="doc1_1265">\82p\82q\83R\81[\83h\82Ì\93®\93I\8fo\97Í\8b@\94\</h3>
+<h3 id="doc1_1285">\82p\82q\83R\81[\83h\82Ì\93®\93I\8fo\97Í\8b@\94\</h3>
 
 <p class="first_ja">\83v\83\8d\83O\83\89\83\80\93\99\82ð\8eg\97p\82µ\81A\93®\93I\82É\82p\82q\83R\81[\83h\82ð\8fo\97Í\82µ\82½\82¢\8fê\8d\87\82Í\81A\8fã\8bL\82Ì.qrc\83t\83@\83C\83\8b\82Ì\93à\97e\82ð\82»\82Ì\82Ü\82ÜOutputFilter\82É\92Ê\82µ\82Ä\82 \82°\82ê\82Î\82n\82j\82Å\82·\81B\82Â\82Ü\82è\81AChxjConvertRule\83f\83B\83\8c\83N\83e\83B\83u\82Å&quot;EngineOn&quot;\82Æ\8ew\92è\82µ\82½URI\82ª\8ew\82·\83f\83B\83\8c\83N\83g\83\8a\82É\90Ý\92u\82·\82ê\82Î\97Ç\82¢\82Æ\82¢\82¤\82±\82Æ\82Å\82·\81Bmod_chxj\93à\95\94\82Å\81AContent-Type\82ªtext/xml\82Ì\8fê\8d\87\81AQRCode\97p\82Ì\83t\83@\83C\83\8b\82Å\82 \82é\82©\82Ç\82¤\82©\82ð\88ê\93x\93Ç\82Ý\8d\9e\82ñ\82Å\94»\92f\82·\82é\82Ì\82Å\81AContent-Type\82É\82Í\81Atext/xml\82ð\90Ý\92è\82µ\82Ä\82­\82¾\82³\82¢\81B</p>
 
-<div id="doc1_1267" class="caption">php\82Å\82p\82q\83R\81[\83h\82ð\93®\93I\82É\8fo\97Í\82·\82é\97á</div>
+<div id="doc1_1287" class="caption">php\82Å\82p\82q\83R\81[\83h\82ð\93®\93I\82É\8fo\97Í\82·\82é\97á</div>
 <pre class="program" style="margin-top:0">
     &lt;php
       $version = $_POST[&quot;version&quot;];
@@ -1689,40 +1698,40 @@ ChxjConvRule &quot;^/chxj.+$&quot; &quot;EngineOn&quot; &quot;EUC-JP&quot;
 
 <p>\82»\82µ\82Ä\81A\8fã\8bL\82Ì\83R\81[\83h\82ð\81Amod_chxj\95Ï\8a·\83G\83\93\83W\83\93\82ª\8f\88\97\9d\82·\82é\82Í\82¸\82Å\82 \82é\82Æ\82±\82ë\82É\90Ý\92u\82·\82ê\82Î\8a®\97¹\82Å\82·\81B</p>
 
-<h2 id="doc1_1272">Cookie\83V\83~\83\85\83\8c\81[\83g\8b@\94\(EXPERIMENTAL)</h2>
+<h2 id="doc1_1292">Cookie\83V\83~\83\85\83\8c\81[\83g\8b@\94\(EXPERIMENTAL)</h2>
 
 
-<h3 id="doc1_1274">Cookie\83V\83~\83\85\83\8c\81[\83g\8b@\94\(EXPERIMENTAL)</h3>
+<h3 id="doc1_1294">Cookie\83V\83~\83\85\83\8c\81[\83g\8b@\94\(EXPERIMENTAL)</h3>
 
 <p class="first_ja">Cookie\82ð\8eó\82¯\95t\82¯\82È\82¢\81i\96³\8e\8b\82·\82é\81j\92[\96\96\82Ì\82½\82ß\82ÉCookie\82ð\83V\83~\83\85\83\8c\81[\83g\82µ\82Ü\82·\81B\96{\8b@\94\\82ð\97L\8cø\82É\82·\82é\82½\82ß\82É\82ÍChxjConvertRule\83f\83B\83\8c\83N\83e\83B\83u\82ð\8eg\97p\82·\82é\95K\97v\82ª\82 \82è\82Ü\82·\81BChxjConvertRule\83f\83B\83\8c\83N\83e\83B\83u\82Ì\91æ\82Q\83p\83\89\83\81\81[\83^\82ÉCookieOn\82ð\8ew\92è\82µ\82Ü\82·\81B</p>
 
-<div id="doc1_1276" class="caption">Cookie\83V\83~\83\85\83\8c\81[\83g\8b@\94\\82ð\97L\8cø\82É\82·\82é\97á</div>
+<div id="doc1_1296" class="caption">Cookie\83V\83~\83\85\83\8c\81[\83g\8b@\94\\82ð\97L\8cø\82É\82·\82é\97á</div>
 <pre class="program" style="margin-top:0">
     ChxjConvertRule &quot;^/chxj.+$&quot; &quot;EngineOn,CookieOn&quot; &quot;NONE&quot;
   
 </pre>
 
 
-<h3 id="doc1_1280">One-Time ID</h3>
+<h3 id="doc1_1300">One-Time ID</h3>
 
 <p class="first_ja">Cookie\83V\83~\83\85\83\8c\81[\83g\82Å\82Í\81Aa\83^\83O\81Aimg\83^\83O\81Aform\83^\83O\82ÌURL\95\94\82ÉOne-Time ID\82ð\96\84\82ß\8d\9e\82Þ\82±\82Æ\82Å\8eÀ\8c»\82µ\82Ü\82·\81B\82»\82Ì\82½\82ß\81A\83\86\81[\83U\82ª\83u\83\89\83E\83U\82Ì\96ß\82é\83{\83^\83\93\93\99\82Å\96ß\82Á\82½\8fê\8d\87\82ÍCookie\82ð\8eæ\93¾\82Å\82«\82È\82­\82È\82è\82Ü\82·\81B</p>
 
-<h3 id="doc1_1283">Cookie\82Ì\95Û\91\8fê\8f\8a</h3>
+<h3 id="doc1_1303">Cookie\82Ì\95Û\91\8fê\8f\8a</h3>
 
 <p class="first_ja">Cookie\82Ì\93à\97e\82Í\81A\83T\81[\83o\91¤\82É\95Û\91\82³\82ê\82Ü\82·\81B\95Û\91\83f\83B\83\8c\83N\83g\83\8a\82ÍChxjCookieDir\83f\83B\83\8c\83N\83e\83B\83u\82ð\8eg\97p\82·\82é\82±\82Æ\82Å\8ew\92è\82·\82é\82±\82Æ\82ª\82Å\82«\82Ü\82·\81B\8ew\92è\82µ\82È\82©\82Á\82½\8fê\8d\87\82Í\81A/tmp\82É\95Û\91\82³\82ê\82Ü\82·\81B</p>
 
-<div id="doc1_1285" class="caption">ChxjCookieDir\82Ì\97á</div>
+<div id="doc1_1305" class="caption">ChxjCookieDir\82Ì\97á</div>
 <pre class="program" style="margin-top:0">
     ChxjCookieDir /var/abc
   
 </pre>
 
 
-<h3 id="doc1_1289">Cookie\82Ì\95Û\8e\9d\8aú\8aÔ</h3>
+<h3 id="doc1_1309">Cookie\82Ì\95Û\8e\9d\8aú\8aÔ</h3>
 
 <p class="first_ja">ChxjCookieTimeout\83f\83B\83\8c\83N\83e\83B\83u\82Å\95Û\8e\9d\8aú\8aÔ\82ð\8ew\92è\82·\82é\82±\82Æ\82ª\82Å\82«\82Ü\82·\81B\8ew\92è\82µ\82È\82©\82Á\82½\8fê\8d\87\82Í1800\95b\82Å\83T\81[\83o\82É\95Û\91\82³\82ê\82Ä\82¢\82éCookie\82Í\8dí\8f\9c\82³\82ê\82Ü\82·\81B</p>
 
-<div id="doc1_1291" class="caption">ChxjCookieTimeout\82Ì\97á</div>
+<div id="doc1_1311" class="caption">ChxjCookieTimeout\82Ì\97á</div>
 <pre class="program" style="margin-top:0">
     &lt;Location /&gt;
       ChxjCookieTimeout 10
@@ -1732,10 +1741,10 @@ ChxjConvRule &quot;^/chxj.+$&quot; &quot;EngineOn&quot; &quot;EUC-JP&quot;
 
 <p>\8fã\8bL\82Ì\97á\82Í\81A10\95b\82Å\83^\83C\83\80\83A\83E\83g(\83T\81[\83o\82©\82ç\8dí\8f\9c)\82·\82é\82æ\82¤\82É\8ew\92è\82µ\82Ä\82¢\82Ü\82·\81B</p>
 
-<h2 id="doc1_1296">Referer\83V\83~\83\85\83\8c\81[\83g\8b@\94\(EXPERIMENTAL)</h2>
+<h2 id="doc1_1316">Referer\83V\83~\83\85\83\8c\81[\83g\8b@\94\(EXPERIMENTAL)</h2>
 
 
-<h3 id="doc1_1298">Referer\83V\83~\83\85\83\8c\81[\83g\8b@\94\(EXPERIMENTAL)</h3>
+<h3 id="doc1_1318">Referer\83V\83~\83\85\83\8c\81[\83g\8b@\94\(EXPERIMENTAL)</h3>
 
 <p class="first_ja">DoCoMo\92[\96\96\82È\82Ç\82ÌReferer\82É\91Î\89\9e\82µ\82Ä\82¢\82È\82¢\8b@\8eí\82Ì\82½\82ß\82ÉReferer\83V\83~\83\85\83\8c\81[\83g\8b@\94\\82ð\92ñ\8b\9f\82µ\82Ü\82·\81B\96{\8b@\94\\82Í\81ACookie\83V\83~\83\85\83\8c\81[\83g\8b@\94\\82ð\97L\8cø\82É\82·\82é\82Æ\81A\8e©\93®\82Å\97L\8cø\82É\82È\82è\82Ü\82·(\8f«\97\88\93I\82É\82Í\95Ï\8dX\97\\92è)\81B</p>
 </body>
index 424cb5b..bd8b64d 100644 (file)
@@ -6,28 +6,28 @@
   <subtitle></subtitle>
   <author>Atsushi Konno</author>
   <date>29 Mar 2005</date>
-  <date>Last modified: 21 Jan 2008</date>
+  <date>Last modified: Tue,  5 Feb 2008 13:20:28 +0900</date>
 </head>
 <body>
 <section title="Overview">
 
-mod_chxj¤Ï¥ª¡¼¥×¥ó¥½¡¼¥¹¤Î·ÈÂÓ¸þ¤±¥³¥ó¥Æ¥ó¥ÄÊÑ´¹Apache2.xÍѥ⥸¥å¡¼¥ë¤Ç¤¢¤ê¡¢
+mod_chxj¤Ï¥ª¡¼¥×¥ó¥½¡¼¥¹¤Î·ÈÂÓ¸þ¤±¥³¥ó¥Æ¥ó¥ÄÊÑ´¹Apache2.0Íѥ⥸¥å¡¼¥ë¤Ç¤¢¤ê¡¢
 CHTML¡ÊDoCoMo i-ModeÍÑ CHTML3.0)¤Çµ­½Ò¤µ¤ì¤¿Ê¸½ñ¤äÄ̾ï¤ÎHTML¤Çµ­½Ò¤µ¤ì¤¿Ê¸½ñ¤ò¡¢¥¢¥¯¥»¥¹¤ËÍ褿üËö¤ÎUser-Agent¥Ø¥Ã¥À¤ò¸«¤Æ¡¢¤½¤ì¤¾¤ì¤ÎüËö¤Ë¤¢¤Ã¤¿·Á¼°¤ËÊÑ´¹¤·¤Þ¤¹¡£
 HTMLʸ½ñ¤Ë¸Â¤é¤º¡¢²èÁü¡Êjpg¡¢gif¡¢png¡Ë¡¢³¨Ê¸»ú¤Ë¤Ä¤¤¤Æ¤â¡¢ÄêµÁ¥Õ¥¡¥¤¥ë¤Ë½¾¤Ã¤Æ¤½¤ì¤¾¤ì¤Î¥­¥ã¥ê¥¢¤Ë¤¢¤Ã¤¿³¨Ê¸»ú¤ËÊÑ´¹¤·¤Þ¤¹¡£
 CookieÈóÂбþüËö¡¢ReferÈóÂбþüËö¤Î¤¿¤á¤Ë¡¢Set-Cookie¡¢Cookie¥Ø¥Ã¥À¤äReferer¥Ø¥Ã¥À¤ò¥·¥ß¥å¥ì¡¼¥È¤¹¤ë¤³¤È¤â¤Ç¤­¤Þ¤¹¡ÊEXPERIMENTAL)¡£
-<note>Apache2.2¤Ï¥Ð¡¼¥¸¥ç¥ó0.8.1¤«¤éÂбþ</note>
+
 
 </section>
 <section title="¥¤¥ó¥¹¥È¡¼¥ë">
 <subsection title="½àÈ÷">
 mod_chxj¤ò¥¤¥ó¥¹¥È¡¼¥ë¤¹¤ëÁ°¤Ë¡¢²¼µ­¤Î¤â¤Î¤òÍÑ°Õ¤¹¤ëɬÍפ¬¤¢¤ê¤Þ¤¹¡£
 <ol>
-  <li>Apache2.x¤Î¥Ø¥Ã¥À¡¼¥Õ¥¡¥¤¥ë·²</li>
-  <li>Apache2.xÍѤÎapxs</li>
+  <li>Apache2.0¤Î¥Ø¥Ã¥À¡¼¥Õ¥¡¥¤¥ë·²</li>
+  <li>Apache2.0ÍѤÎapxs</li>
   <li>apr(Apache Portable Runtime)¥é¥¤¥Ö¥é¥ê¤È¤½¤Î¥Ø¥Ã¥À¥Õ¥¡¥¤¥ë·´(apu´Þ¤à)</li>
   <li>automake¡¢autoconf¡¢libtool1.3.X</li>
   <li>ImageMagick(MagickWand)</li>
-  <li>libiconv¤Þ¤¿¤Ïlibiconv_hook(SJIS-WIN¡¢EUCJP-WINÂбþ¤¬Ë¾¤Þ¤·¤¤)</li>
+  <li>libiconv¤Þ¤¿¤Ïlibiconv_hook</li>
   <li>Linux</li>
 </ol>
 </subsection>
@@ -44,12 +44,13 @@ $ ./buildconf.sh
 </li>
 <li>Configure
 
-°Ê²¼¤Ï¡¢/usr/include/apache2.x¤Ë¡¢Apache2.x¤Î¥Ø¥Ã¥À¡¼¥Õ¥¡¥¤¥ë¤¬Â¸ºß¤¹¤ë¾ì¹ç¤Ç¤¹¡£
+°Ê²¼¤Ï¡¢/usr/include/apache2.0¤Ë¡¢Apache2.0¤Î¥Ø¥Ã¥À¡¼¥Õ¥¡¥¤¥ë¤¬Â¸ºß¤¹¤ë¾ì¹ç¤Ç¤¹¡£
 <program title="Configure">
-$ ./configure --with-apache-header=/usr/include/apache2.x
+$ ./configure --with-apache-header=/usr/include/apache2.0
 </program>
 <note>--with-apache-header¤Ïɬ¿Ü¤Ç¤¹¡£</note>
-<note>´Ä¶­¤Ë¤è¤Ã¤Æ¤Ï--with-iconv¤ä--with-apr¡¢--with-apu¤âɬÍפǤ¹</note>
+<note>FreeBSDÅù¤Î¾ì¹ç¤Ï--with-iconv¤âɬ¿Ü¤Ç¤¹¡£</note>
+<note>¾ì¹ç¤Ë¤è¤Ã¤Æ¤Ï--with-apr¤ä--with-apu¤âɬÍפǤ¹¡£</note>
 </li>
 <li>mod_chxj.so¤òÀ¸À®¤·¤Þ¤¹
 <program title="make">
@@ -88,7 +89,7 @@ $ cp etc/emoji.xml /etc/apache2/chxj
 
 <program title="httpd.conf">
 #====================================================================================
-# ¥â¥¸¥å¡¼¥ë¤òApache2.x¤Ë¥í¡¼¥É
+# ¥â¥¸¥å¡¼¥ë¤òApache2.0¤Ë¥í¡¼¥É
 #====================================================================================
 LoadModule chxj_module /usr/lib/apache2/modules/mod_chxj.so
 
@@ -122,7 +123,7 @@ ChxjConvertRule "^/chxj.+$" "EngineOn" "NONE"
 
 <program title="httpd.conf">
 #====================================================================================
-# ¥â¥¸¥å¡¼¥ë¤òApache2.x¤Ë¥í¡¼¥É
+# ¥â¥¸¥å¡¼¥ë¤òApache2.0¤Ë¥í¡¼¥É
 #====================================================================================
 LoadModule chxj_module /usr/lib/apache2/modules/mod_chxj.so
 
@@ -158,7 +159,7 @@ ChxjConvertRule "^/chxj.+$" "EngineOn" "EUC-JP"
 
 <program title="httpd.conf">
 #====================================================================================
-# ¥â¥¸¥å¡¼¥ë¤òApache2.x¤Ë¥í¡¼¥É
+# ¥â¥¸¥å¡¼¥ë¤òApache2.0¤Ë¥í¡¼¥É
 #====================================================================================
 LoadModule chxj_module /usr/lib/apache2/modules/mod_chxj.so
 
@@ -266,6 +267,21 @@ ChxjImageCopyright "A.Konno"
       <br />
     </li>
 
+    <li>ChxjImageCacheLimit<br />
+      mod_chxj²èÁüÊÑ´¹¥Ï¥ó¥É¥é¤¬»ÈÍѤ¹¤ëÊÑ´¹¸å¤Î²èÁü¤ò¤ª¤¤¤Æ¤ª¤¯¥Ç¥£¥ì¥¯¥È¥ê¤ÎµöÍÆÎ̤ò»ØÄꤷ¤Þ¤¹¡£
+      Ã±°Ì¤Ïbyte¡£
+
+      <program title="ChxjImageCacheLimit">
+      ChxjImageCacheLimit 1024
+      </program>
+
+      mod_chxj¤Ë²èÁüÊÑ´¹¥­¥ã¥Ã¥·¥åºÇÂ祵¥¤¥º¤È¤·¤Æ1kbyte¤È»ØÄê¡£
+      ¢¨¤³¤Î¤È¤­ÊÑ´¹·ë²Ì¤¬1kbyte°Ê¾å¤¢¤ë¤è¤¦¤Ê¾ì¹ç¤Ë¤ÏINTERNAL_SERVER_ERROR¤òÊÖ¤·¤Þ¤¹¡£
+       ½½Ê¬¤ÊÎΰè¤ò³ÎÊݤ¹¤ë¤«¡¢²èÁü¥µ¥¤¥º¤ò¾®¤µ¤¯¤·¤Æ¤¯¤À¤µ¤¤¡£
+      <br />
+      <br />
+    </li>
+
 
     <li>ChxjImageCopyright<br />
       mod_chxj¤Î²èÁüÊÑ´¹¥Ï¥ó¥É¥é¤Ë¡¢Å¾Á÷¶Ø»ßÀßÄê¤ò¹Ô¤¦¤è¤¦»Ø¼¨¤·¤Þ¤¹¡£
@@ -367,10 +383,17 @@ ChxjConvRule "^/chxj.+$" "EngineOn" "EUC-JP"
     ChxjImageCacheDir   /tmp
   </program> 
   </li>
+  <li>ChxjImageCacheLimit<br />
+  ¥¤¥á¡¼¥¸¤Î°ì»þ¥Õ¥¡¥¤¥ëÊݸµöÍÆÎ̤ò»ØÄꤷ¤Þ¤¹¡£
+  ²¼µ­¤Ï1MByte¤ÎÎã¡£
+  <program title="ex)">
+    ChxjImageCacheLimit   1048576
+  </program>
+  </li>
   <li>ChxjImageCopyright<br />
   ¥¤¥á¡¼¥¸¤ËÃøºî¸¢¾ðÊó¤òÉÕÍ¿¤·¤Þ¤¹¡£
   <program title="ex)">
-    ChxjImageCacheDir   "chosakuken jyoho"
+    ChxjImageCopyright   "chosakuken jyoho"
   </program> 
   </li>
   <li>ChxjConvertRule<br />
index c638904..6ce9990 100644 (file)
 /* Define to 1 if you have the <libgen.h> header file. */
 #define HAVE_LIBGEN_H 1
 
-/* Define to 1 if you have the iconv library file. */
-/* #undef HAVE_LIBICONV */
-
-/* Define to 1 if you have the iconv_hook library file. */
-#define HAVE_LIBICONV_HOOK 
-
 /* Define to 1 if your system has a GNU libc compatible `malloc' function, and
    to 0 otherwise. */
 #define HAVE_MALLOC 1
index 709eb22..8d1070e 100644 (file)
 /* Define to 1 if you have the <libgen.h> header file. */
 #undef HAVE_LIBGEN_H
 
-/* Define to 1 if you have the iconv library file. */
-#undef HAVE_LIBICONV
-
-/* Define to 1 if you have the iconv_hook library file. */
-#undef HAVE_LIBICONV_HOOK
-
 /* Define to 1 if your system has a GNU libc compatible `malloc' function, and
    to 0 otherwise. */
 #undef HAVE_MALLOC
index 732102f..d89048f 100644 (file)
@@ -402,7 +402,7 @@ extern char *chxj_node_exchange(
   int         indent
 );
 
-
+#define IMAGE_CACHE_LIMIT_FMT_LEN  (20)
 
 #endif
 /*
index 1afba3e..d6dc03e 100644 (file)
@@ -19,6 +19,7 @@
 #include "chxj_apply_convrule.h"
 #include "chxj_url_encode.h"
 
+#if 0
 #if defined(HAVE_LIBICONV_HOOK)
 #  include "iconv_hook/iconv.h"
 #else
@@ -28,6 +29,9 @@
 #    error "Please install libiconv or libiconv_hook. and Please set LD_LIBRARY_PATH."
 #  endif
 #endif
+#endif
+
+#include <iconv.h>
 
 static char *
 do_encoding(
index c31c4d9..cd90ba6 100644 (file)
@@ -692,6 +692,7 @@ s_create_cache_file(request_rec          *r,
   DBG(r, "end convert and compression");
 
   /* check limit */
+  /* XXX:START - I will rewrite it when leaving. */
   rv = apr_stat(&cache_dir_st, conf->image_cache_dir, APR_FINFO_MIN, r->pool);
   if (rv != APR_SUCCESS) {
     DestroyMagickWand(magick_wand);
@@ -708,6 +709,7 @@ s_create_cache_file(request_rec          *r,
     int found_file = 0;
     unsigned long max_size = (! conf->image_cache_limit) ? DEFAULT_IMAGE_CACHE_LIMIT : conf->image_cache_limit;
     char *delete_file_name;
+    DBG(r, "conf->image_cache_limit:[%lu] max_size:[%lu]", conf->image_cache_limit, max_size);
 
     rv = apr_dir_open(&dir, conf->image_cache_dir, r->pool);
     if (rv != APR_SUCCESS) { 
@@ -734,11 +736,18 @@ s_create_cache_file(request_rec          *r,
       }
     }
     apr_dir_close(dir);
-    if (total_size + writebyte < max_size || found_file == 0) {
-      DBG(r, "There is an enough size in cache. total_size:[%lu] max_size:[%lu] found_file=[%d]",
-             total_size, max_size, found_file);
+    if (total_size + writebyte < max_size) {
+      DBG(r, "There is an enough size in cache. total_size:[%lu] max_size:[%lu] found_file=[%d] max_size=[%lu]", total_size, max_size, found_file, max_size);
       break;
     }
+    if (found_file == 0 && writebyte >= max_size) {
+      ERR(r, "================================================");
+      ERR(r, "cache space is too small...");
+      ERR(r, "At least the same size as %luByte is necessary for me.", (unsigned long)writebyte);
+      ERR(r, "Please specify the ChxjImageCacheLimit that is larger than now value. ");
+      ERR(r, "================================================");
+      return HTTP_INTERNAL_SERVER_ERROR;
+    }
     DBG(r, "Image Cache dir is full. total_size:[%lu] max_size:[%lu]", 
            total_size + writebyte, max_size);
     /* search delete candidate */
@@ -755,6 +764,7 @@ s_create_cache_file(request_rec          *r,
       break;
     }
   }
+  /* XXX:END - I will rewrite it when leaving. */
   
   /* to cache */
   rv = apr_file_open(&fout, tmpfile,
index 2abf7d1..384935a 100644 (file)
@@ -1279,7 +1279,6 @@ chxj_create_per_dir_config(apr_pool_t *p, char *arg)
   conf->server_side_encoding = NULL;
   conf->cookie_db_dir    = NULL;
   conf->cookie_timeout   = 0;
-  conf->image_cache_limit = DEFAULT_IMAGE_CACHE_LIMIT; 
 
   if (arg == NULL) {
     conf->dir                  = NULL;
@@ -1680,6 +1679,35 @@ cmd_set_image_cache_dir(cmd_parms *parms, void *mconfig, const char *arg)
 
 
 static const char *
+cmd_set_image_cache_limit(cmd_parms *parms, void *mconfig, const char* arg)
+{
+  mod_chxj_config* conf;
+  Doc              doc;
+
+  doc.r = NULL;
+
+  if (strlen(arg) > IMAGE_CACHE_LIMIT_FMT_LEN)
+    return "cache size is too long.";
+
+  conf = (mod_chxj_config*)mconfig;
+  errno = 0;
+  /*
+   * I use strtol function because strtoul is not portable function.
+   */
+  conf->image_cache_limit = (unsigned long)strtol(arg, NULL, 10);
+  switch (errno) {
+  case EINVAL:
+    return apr_psprintf(parms->pool, "ChxjImageCacheLimit invalid value [%s] errno:[%d]", arg, errno);
+  case ERANGE:
+    return apr_psprintf(parms->pool, "ChxjImageCacheLimit Out of range [%s] errno:[%d]", arg, errno);
+  default:
+    break;
+  }
+  return NULL;
+}
+
+
+static const char*
 cmd_set_image_copyright(cmd_parms *parms, void *mconfig, const char *arg) 
 {
   mod_chxj_config  *conf;
@@ -1858,6 +1886,12 @@ static const command_rec cmds[] = {
     OR_ALL,
     "Image Cache Directory"),
   AP_INIT_TAKE1(
+    "ChxjImageCacheLimit",
+    cmd_set_image_cache_limit,
+    NULL,
+    OR_ALL,
+    "Image Cache Limit"),
+  AP_INIT_TAKE1(
     "ChxjImageCopyright",
     cmd_set_image_copyright,
     NULL,
index d6b7444..b535f4e 100644 (file)
@@ -25,6 +25,7 @@
 
 #include "mod_chxj.h"
 
+#if 0
 #if defined(HAVE_LIBICONV_HOOK)
 #  include "iconv_hook/iconv.h"
 #else
@@ -34,6 +35,9 @@
 #    error "Please install libiconv or libiconv_hook. and Please set LD_LIBRARY_PATH."
 #  endif
 #endif
+#endif
+
+#include <iconv.h>
 
 static int s_cut_tag (const char *s, int len);
 static int s_cut_text(const char *s, int len);